// (C) 2001-2019 Intel Corporation. All rights reserved.
// This simulation model contains highly confidential and
// proprietary information of Intel and is being provided
// in accordance with and subject to the protections of the
// applicable Intel Program License Subscription Agreement
// which governs its use and disclosure. Your use of Intel
// Corporation's design tools, logic functions and other
// software and tools, and its AMPP partner logic functions,
// and any output files from any of the foregoing (including device
// programming or simulation files), and any associated
// documentation or information are expressly subject to the
// terms and conditions of the Intel Program License Subscription
// Agreement, Intel FPGA IP License Agreement, or other
// applicable license agreement, including, without limitation,
// that your use is for the sole purpose of simulating designs
// for use exclusively in logic devices manufactured by Intel and sold
// by Intel or its authorized distributors. Please refer to the
// applicable agreement for further details. Intel products and
// services are protected under numerous U.S. and foreign patents,
// maskwork rights, copyrights and other intellectual property laws.
// Intel assumes no responsibility or liability arising out of the
// application or use of this simulation model.
// ACDS 19.1

`pragma protect begin_protected
`pragma protect version=1
`pragma protect encrypt_agent="VCS"
`pragma protect encrypt_agent_info="J-2014.12-SP1 Build Date Feb 26 2015 20:50:25"
`pragma protect author="IP Provider"
`pragma protect key_keyowner="Synopsys"
`pragma protect key_keyname="SNPS-VCS-RSA-1"
`pragma protect key_method="rsa"
`pragma protect encoding = (enctype = "base64", line_length = 76, bytes = 128 )
`pragma protect key_block
ipX31TTmm37UMsyv67rNd1de3h/VHGCNe3X0W1BvZvKjfDS7PH8jjwkeYZD3UTf+
PRRHfjFF37QkUoOB2kDvACkjMI7dsjBWcbB9/Gc3VMbpWLyD6u+M7FL4Vj5ojhjY
dpXw/y9PLq+C5MVj1dfO/ldQbVq2w1VpAqhKvtpkl7c=

`pragma protect data_method="aes128-cbc"
`pragma protect encoding = (enctype = "base64", line_length = 76, bytes = 6240 )
`pragma protect data_block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`pragma protect end_protected
