module pcie_example_design_BAR_INTERPRETER (
		input  wire         Clk_i,                 //         clk.clk
		input  wire         Rstn_i,                //       reset.reset_n
		input  wire [15:0]  bri_s_address_i,       //   bri_slave.address
		input  wire [63:0]  bri_s_byteenable_i,    //            .byteenable
		input  wire         bri_s_read_i,          //            .read
		output wire [511:0] bri_s_readdata_o,      //            .readdata
		output wire         bri_s_readdatavalid_o, //            .readdatavalid
		input  wire         bri_s_write_i,         //            .write
		input  wire [511:0] bri_s_writedata_i,     //            .writedata
		input  wire [3:0]   bri_s_burstcount_i,    //            .burstcount
		output wire         bri_s_waitrequest_o,   //            .waitrequest
		output wire [1:0]   bri_s_response_o,      //            .response
		output wire [19:0]  bri_m_address_o,       //  bri_master.address
		output wire         bri_m_read_o,          //            .read
		input  wire [511:0] bri_m_readdata_i,      //            .readdata
		input  wire         bri_m_readdatavalid_i, //            .readdatavalid
		output wire         bri_m_write_o,         //            .write
		output wire [511:0] bri_m_writedata_o,     //            .writedata
		input  wire         bri_m_waitrequest_i,   //            .waitrequest
		output wire [63:0]  bri_m_byteenable_o,    //            .byteenable
		input  wire [1:0]   bri_m_response_i,      //            .response
		output wire [3:0]   bri_m_burstcount_o,    //            .burstcount
		input  wire [2:0]   bri_s_bar_i,           // bri_conduit.barnum
		input  wire [1:0]   bri_s_pfnum_i          //            .pfnum
	);
endmodule

