
namespace eval pcie_example_design_DMA_CONTROLLER {
  proc get_memory_files {QSYS_SIMDIR} {
    set memory_files [list]
    return $memory_files
  }
  
  proc get_common_design_files {QSYS_SIMDIR} {
    set design_files [dict create]
    return $design_files
  }
  
  proc get_design_files {QSYS_SIMDIR} {
    set design_files [dict create]
    dict set design_files "intel_pcie_dma_hwtcl.sv"               "$QSYS_SIMDIR/../intel_pcie_dma_191/sim/intel_pcie_dma_hwtcl.sv"              
    dict set design_files "intel_pcie_descriptor_storage_fifo.sv" "$QSYS_SIMDIR/../intel_pcie_dma_191/sim/intel_pcie_descriptor_storage_fifo.sv"
    dict set design_files "intel_pcie_dm_controller_sc_fifo.sv"   "$QSYS_SIMDIR/../intel_pcie_dma_191/sim/intel_pcie_dm_controller_sc_fifo.sv"  
    dict set design_files "pcie_example_design_DMA_CONTROLLER.v"  "$QSYS_SIMDIR/pcie_example_design_DMA_CONTROLLER.v"                           
    return $design_files
  }
  
  proc get_elab_options {SIMULATOR_TOOL_BITNESS} {
    set ELAB_OPTIONS ""
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ELAB_OPTIONS
  }
  
  
  proc get_sim_options {SIMULATOR_TOOL_BITNESS} {
    set SIM_OPTIONS ""
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $SIM_OPTIONS
  }
  
  
  proc get_env_variables {SIMULATOR_TOOL_BITNESS} {
    set ENV_VARIABLES [dict create]
    set LD_LIBRARY_PATH [dict create]
    dict set ENV_VARIABLES "LD_LIBRARY_PATH" $LD_LIBRARY_PATH
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ENV_VARIABLES
  }
  
  
}
