	pcie_example_design_DUT u0 (
		.refclk                    (_connected_to_refclk_),                    //   input,    width = 1,            refclk.clk
		.coreclkout_hip            (_connected_to_coreclkout_hip_),            //  output,    width = 1,    coreclkout_hip.clk
		.npor                      (_connected_to_npor_),                      //   input,    width = 1,              npor.npor
		.pin_perst                 (_connected_to_pin_perst_),                 //   input,    width = 1,                  .pin_perst
		.app_nreset_status         (_connected_to_app_nreset_status_),         //  output,    width = 1, app_nreset_status.reset_n
		.wrdm_pfnum_o              (_connected_to_wrdm_pfnum_o_),              //  output,    width = 2,      wrdm_conduit.pfnum
		.wrdm_waitrequest_i        (_connected_to_wrdm_waitrequest_i_),        //   input,    width = 1,       wrdm_master.waitrequest
		.wrdm_read_o               (_connected_to_wrdm_read_o_),               //  output,    width = 1,                  .read
		.wrdm_address_o            (_connected_to_wrdm_address_o_),            //  output,   width = 64,                  .address
		.wrdm_burstcount_o         (_connected_to_wrdm_burstcount_o_),         //  output,    width = 4,                  .burstcount
		.wrdm_byteenable_o         (_connected_to_wrdm_byteenable_o_),         //  output,   width = 64,                  .byteenable
		.wrdm_readdatavalid_i      (_connected_to_wrdm_readdatavalid_i_),      //   input,    width = 1,                  .readdatavalid
		.wrdm_readdata_i           (_connected_to_wrdm_readdata_i_),           //   input,  width = 512,                  .readdata
		.wrdm_response_i           (_connected_to_wrdm_response_i_),           //   input,    width = 2,                  .response
		.wrdm_desc_ready_o         (_connected_to_wrdm_desc_ready_o_),         //  output,    width = 1,         wrdm_desc.ready
		.wrdm_desc_valid_i         (_connected_to_wrdm_desc_valid_i_),         //   input,    width = 1,                  .valid
		.wrdm_desc_data_i          (_connected_to_wrdm_desc_data_i_),          //   input,  width = 174,                  .data
		.wrdm_prio_ready_o         (_connected_to_wrdm_prio_ready_o_),         //  output,    width = 1,         wrdm_prio.ready
		.wrdm_prio_valid_i         (_connected_to_wrdm_prio_valid_i_),         //   input,    width = 1,                  .valid
		.wrdm_prio_data_i          (_connected_to_wrdm_prio_data_i_),          //   input,  width = 174,                  .data
		.wrdm_tx_valid_o           (_connected_to_wrdm_tx_valid_o_),           //  output,    width = 1,           wrdm_tx.valid
		.wrdm_tx_data_o            (_connected_to_wrdm_tx_data_o_),            //  output,   width = 32,                  .data
		.rddm_pfnum_o              (_connected_to_rddm_pfnum_o_),              //  output,    width = 2,      rddm_conduit.pfnum
		.rddm_waitrequest_i        (_connected_to_rddm_waitrequest_i_),        //   input,    width = 1,       rddm_master.waitrequest
		.rddm_write_o              (_connected_to_rddm_write_o_),              //  output,    width = 1,                  .write
		.rddm_address_o            (_connected_to_rddm_address_o_),            //  output,   width = 64,                  .address
		.rddm_burstcount_o         (_connected_to_rddm_burstcount_o_),         //  output,    width = 4,                  .burstcount
		.rddm_byteenable_o         (_connected_to_rddm_byteenable_o_),         //  output,   width = 64,                  .byteenable
		.rddm_writedata_o          (_connected_to_rddm_writedata_o_),          //  output,  width = 512,                  .writedata
		.rddm_desc_ready_o         (_connected_to_rddm_desc_ready_o_),         //  output,    width = 1,         rddm_desc.ready
		.rddm_desc_valid_i         (_connected_to_rddm_desc_valid_i_),         //   input,    width = 1,                  .valid
		.rddm_desc_data_i          (_connected_to_rddm_desc_data_i_),          //   input,  width = 174,                  .data
		.rddm_prio_ready_o         (_connected_to_rddm_prio_ready_o_),         //  output,    width = 1,         rddm_prio.ready
		.rddm_prio_valid_i         (_connected_to_rddm_prio_valid_i_),         //   input,    width = 1,                  .valid
		.rddm_prio_data_i          (_connected_to_rddm_prio_data_i_),          //   input,  width = 174,                  .data
		.rddm_tx_valid_o           (_connected_to_rddm_tx_valid_o_),           //  output,    width = 1,           rddm_tx.valid
		.rddm_tx_data_o            (_connected_to_rddm_tx_data_o_),            //  output,   width = 32,                  .data
		.bam_pfnum_o               (_connected_to_bam_pfnum_o_),               //  output,    width = 2,       bam_conduit.pfnum
		.bam_bar_o                 (_connected_to_bam_bar_o_),                 //  output,    width = 3,                  .barnum
		.bam_waitrequest_i         (_connected_to_bam_waitrequest_i_),         //   input,    width = 1,        bam_master.waitrequest
		.bam_address_o             (_connected_to_bam_address_o_),             //  output,   width = 16,                  .address
		.bam_byteenable_o          (_connected_to_bam_byteenable_o_),          //  output,   width = 64,                  .byteenable
		.bam_read_o                (_connected_to_bam_read_o_),                //  output,    width = 1,                  .read
		.bam_readdata_i            (_connected_to_bam_readdata_i_),            //   input,  width = 512,                  .readdata
		.bam_readdatavalid_i       (_connected_to_bam_readdatavalid_i_),       //   input,    width = 1,                  .readdatavalid
		.bam_write_o               (_connected_to_bam_write_o_),               //  output,    width = 1,                  .write
		.bam_writedata_o           (_connected_to_bam_writedata_o_),           //  output,  width = 512,                  .writedata
		.bam_burstcount_o          (_connected_to_bam_burstcount_o_),          //  output,    width = 4,                  .burstcount
		.bam_response_i            (_connected_to_bam_response_i_),            //   input,    width = 2,                  .response
		.bam_writeresponsevalid_i  (_connected_to_bam_writeresponsevalid_i_),  //   input,    width = 1,                  .writeresponsevalid
		.flr_pf_done_i             (_connected_to_flr_pf_done_i_),             //   input,    width = 1,          flr_ctrl.flr_pf_done
		.flr_pf_active_o           (_connected_to_flr_pf_active_o_),           //  output,    width = 1,                  .flr_pf_active
		.bus_master_enable_o       (_connected_to_bus_master_enable_o_),       //  output,    width = 4, bus_master_enable.bus_master_enable
		.simu_mode_pipe            (_connected_to_simu_mode_pipe_),            //   input,    width = 1,          hip_ctrl.simu_mode_pipe
		.test_in                   (_connected_to_test_in_),                   //   input,   width = 67,                  .test_in
		.sim_pipe_pclk_in          (_connected_to_sim_pipe_pclk_in_),          //   input,    width = 1,          hip_pipe.sim_pipe_pclk_in
		.sim_pipe_rate             (_connected_to_sim_pipe_rate_),             //  output,    width = 2,                  .sim_pipe_rate
		.sim_ltssmstate            (_connected_to_sim_ltssmstate_),            //  output,    width = 6,                  .sim_ltssmstate
		.txdata0                   (_connected_to_txdata0_),                   //  output,   width = 32,                  .txdata0
		.txdata1                   (_connected_to_txdata1_),                   //  output,   width = 32,                  .txdata1
		.txdata2                   (_connected_to_txdata2_),                   //  output,   width = 32,                  .txdata2
		.txdata3                   (_connected_to_txdata3_),                   //  output,   width = 32,                  .txdata3
		.txdata4                   (_connected_to_txdata4_),                   //  output,   width = 32,                  .txdata4
		.txdata5                   (_connected_to_txdata5_),                   //  output,   width = 32,                  .txdata5
		.txdata6                   (_connected_to_txdata6_),                   //  output,   width = 32,                  .txdata6
		.txdata7                   (_connected_to_txdata7_),                   //  output,   width = 32,                  .txdata7
		.txdata8                   (_connected_to_txdata8_),                   //  output,   width = 32,                  .txdata8
		.txdata9                   (_connected_to_txdata9_),                   //  output,   width = 32,                  .txdata9
		.txdata10                  (_connected_to_txdata10_),                  //  output,   width = 32,                  .txdata10
		.txdata11                  (_connected_to_txdata11_),                  //  output,   width = 32,                  .txdata11
		.txdata12                  (_connected_to_txdata12_),                  //  output,   width = 32,                  .txdata12
		.txdata13                  (_connected_to_txdata13_),                  //  output,   width = 32,                  .txdata13
		.txdata14                  (_connected_to_txdata14_),                  //  output,   width = 32,                  .txdata14
		.txdata15                  (_connected_to_txdata15_),                  //  output,   width = 32,                  .txdata15
		.txdatak0                  (_connected_to_txdatak0_),                  //  output,    width = 4,                  .txdatak0
		.txdatak1                  (_connected_to_txdatak1_),                  //  output,    width = 4,                  .txdatak1
		.txdatak2                  (_connected_to_txdatak2_),                  //  output,    width = 4,                  .txdatak2
		.txdatak3                  (_connected_to_txdatak3_),                  //  output,    width = 4,                  .txdatak3
		.txdatak4                  (_connected_to_txdatak4_),                  //  output,    width = 4,                  .txdatak4
		.txdatak5                  (_connected_to_txdatak5_),                  //  output,    width = 4,                  .txdatak5
		.txdatak6                  (_connected_to_txdatak6_),                  //  output,    width = 4,                  .txdatak6
		.txdatak7                  (_connected_to_txdatak7_),                  //  output,    width = 4,                  .txdatak7
		.txdatak8                  (_connected_to_txdatak8_),                  //  output,    width = 4,                  .txdatak8
		.txdatak9                  (_connected_to_txdatak9_),                  //  output,    width = 4,                  .txdatak9
		.txdatak10                 (_connected_to_txdatak10_),                 //  output,    width = 4,                  .txdatak10
		.txdatak11                 (_connected_to_txdatak11_),                 //  output,    width = 4,                  .txdatak11
		.txdatak12                 (_connected_to_txdatak12_),                 //  output,    width = 4,                  .txdatak12
		.txdatak13                 (_connected_to_txdatak13_),                 //  output,    width = 4,                  .txdatak13
		.txdatak14                 (_connected_to_txdatak14_),                 //  output,    width = 4,                  .txdatak14
		.txdatak15                 (_connected_to_txdatak15_),                 //  output,    width = 4,                  .txdatak15
		.txcompl0                  (_connected_to_txcompl0_),                  //  output,    width = 1,                  .txcompl0
		.txcompl1                  (_connected_to_txcompl1_),                  //  output,    width = 1,                  .txcompl1
		.txcompl2                  (_connected_to_txcompl2_),                  //  output,    width = 1,                  .txcompl2
		.txcompl3                  (_connected_to_txcompl3_),                  //  output,    width = 1,                  .txcompl3
		.txcompl4                  (_connected_to_txcompl4_),                  //  output,    width = 1,                  .txcompl4
		.txcompl5                  (_connected_to_txcompl5_),                  //  output,    width = 1,                  .txcompl5
		.txcompl6                  (_connected_to_txcompl6_),                  //  output,    width = 1,                  .txcompl6
		.txcompl7                  (_connected_to_txcompl7_),                  //  output,    width = 1,                  .txcompl7
		.txcompl8                  (_connected_to_txcompl8_),                  //  output,    width = 1,                  .txcompl8
		.txcompl9                  (_connected_to_txcompl9_),                  //  output,    width = 1,                  .txcompl9
		.txcompl10                 (_connected_to_txcompl10_),                 //  output,    width = 1,                  .txcompl10
		.txcompl11                 (_connected_to_txcompl11_),                 //  output,    width = 1,                  .txcompl11
		.txcompl12                 (_connected_to_txcompl12_),                 //  output,    width = 1,                  .txcompl12
		.txcompl13                 (_connected_to_txcompl13_),                 //  output,    width = 1,                  .txcompl13
		.txcompl14                 (_connected_to_txcompl14_),                 //  output,    width = 1,                  .txcompl14
		.txcompl15                 (_connected_to_txcompl15_),                 //  output,    width = 1,                  .txcompl15
		.txelecidle0               (_connected_to_txelecidle0_),               //  output,    width = 1,                  .txelecidle0
		.txelecidle1               (_connected_to_txelecidle1_),               //  output,    width = 1,                  .txelecidle1
		.txelecidle2               (_connected_to_txelecidle2_),               //  output,    width = 1,                  .txelecidle2
		.txelecidle3               (_connected_to_txelecidle3_),               //  output,    width = 1,                  .txelecidle3
		.txelecidle4               (_connected_to_txelecidle4_),               //  output,    width = 1,                  .txelecidle4
		.txelecidle5               (_connected_to_txelecidle5_),               //  output,    width = 1,                  .txelecidle5
		.txelecidle6               (_connected_to_txelecidle6_),               //  output,    width = 1,                  .txelecidle6
		.txelecidle7               (_connected_to_txelecidle7_),               //  output,    width = 1,                  .txelecidle7
		.txelecidle8               (_connected_to_txelecidle8_),               //  output,    width = 1,                  .txelecidle8
		.txelecidle9               (_connected_to_txelecidle9_),               //  output,    width = 1,                  .txelecidle9
		.txelecidle10              (_connected_to_txelecidle10_),              //  output,    width = 1,                  .txelecidle10
		.txelecidle11              (_connected_to_txelecidle11_),              //  output,    width = 1,                  .txelecidle11
		.txelecidle12              (_connected_to_txelecidle12_),              //  output,    width = 1,                  .txelecidle12
		.txelecidle13              (_connected_to_txelecidle13_),              //  output,    width = 1,                  .txelecidle13
		.txelecidle14              (_connected_to_txelecidle14_),              //  output,    width = 1,                  .txelecidle14
		.txelecidle15              (_connected_to_txelecidle15_),              //  output,    width = 1,                  .txelecidle15
		.txdetectrx0               (_connected_to_txdetectrx0_),               //  output,    width = 1,                  .txdetectrx0
		.txdetectrx1               (_connected_to_txdetectrx1_),               //  output,    width = 1,                  .txdetectrx1
		.txdetectrx2               (_connected_to_txdetectrx2_),               //  output,    width = 1,                  .txdetectrx2
		.txdetectrx3               (_connected_to_txdetectrx3_),               //  output,    width = 1,                  .txdetectrx3
		.txdetectrx4               (_connected_to_txdetectrx4_),               //  output,    width = 1,                  .txdetectrx4
		.txdetectrx5               (_connected_to_txdetectrx5_),               //  output,    width = 1,                  .txdetectrx5
		.txdetectrx6               (_connected_to_txdetectrx6_),               //  output,    width = 1,                  .txdetectrx6
		.txdetectrx7               (_connected_to_txdetectrx7_),               //  output,    width = 1,                  .txdetectrx7
		.txdetectrx8               (_connected_to_txdetectrx8_),               //  output,    width = 1,                  .txdetectrx8
		.txdetectrx9               (_connected_to_txdetectrx9_),               //  output,    width = 1,                  .txdetectrx9
		.txdetectrx10              (_connected_to_txdetectrx10_),              //  output,    width = 1,                  .txdetectrx10
		.txdetectrx11              (_connected_to_txdetectrx11_),              //  output,    width = 1,                  .txdetectrx11
		.txdetectrx12              (_connected_to_txdetectrx12_),              //  output,    width = 1,                  .txdetectrx12
		.txdetectrx13              (_connected_to_txdetectrx13_),              //  output,    width = 1,                  .txdetectrx13
		.txdetectrx14              (_connected_to_txdetectrx14_),              //  output,    width = 1,                  .txdetectrx14
		.txdetectrx15              (_connected_to_txdetectrx15_),              //  output,    width = 1,                  .txdetectrx15
		.powerdown0                (_connected_to_powerdown0_),                //  output,    width = 2,                  .powerdown0
		.powerdown1                (_connected_to_powerdown1_),                //  output,    width = 2,                  .powerdown1
		.powerdown2                (_connected_to_powerdown2_),                //  output,    width = 2,                  .powerdown2
		.powerdown3                (_connected_to_powerdown3_),                //  output,    width = 2,                  .powerdown3
		.powerdown4                (_connected_to_powerdown4_),                //  output,    width = 2,                  .powerdown4
		.powerdown5                (_connected_to_powerdown5_),                //  output,    width = 2,                  .powerdown5
		.powerdown6                (_connected_to_powerdown6_),                //  output,    width = 2,                  .powerdown6
		.powerdown7                (_connected_to_powerdown7_),                //  output,    width = 2,                  .powerdown7
		.powerdown8                (_connected_to_powerdown8_),                //  output,    width = 2,                  .powerdown8
		.powerdown9                (_connected_to_powerdown9_),                //  output,    width = 2,                  .powerdown9
		.powerdown10               (_connected_to_powerdown10_),               //  output,    width = 2,                  .powerdown10
		.powerdown11               (_connected_to_powerdown11_),               //  output,    width = 2,                  .powerdown11
		.powerdown12               (_connected_to_powerdown12_),               //  output,    width = 2,                  .powerdown12
		.powerdown13               (_connected_to_powerdown13_),               //  output,    width = 2,                  .powerdown13
		.powerdown14               (_connected_to_powerdown14_),               //  output,    width = 2,                  .powerdown14
		.powerdown15               (_connected_to_powerdown15_),               //  output,    width = 2,                  .powerdown15
		.txmargin0                 (_connected_to_txmargin0_),                 //  output,    width = 3,                  .txmargin0
		.txmargin1                 (_connected_to_txmargin1_),                 //  output,    width = 3,                  .txmargin1
		.txmargin2                 (_connected_to_txmargin2_),                 //  output,    width = 3,                  .txmargin2
		.txmargin3                 (_connected_to_txmargin3_),                 //  output,    width = 3,                  .txmargin3
		.txmargin4                 (_connected_to_txmargin4_),                 //  output,    width = 3,                  .txmargin4
		.txmargin5                 (_connected_to_txmargin5_),                 //  output,    width = 3,                  .txmargin5
		.txmargin6                 (_connected_to_txmargin6_),                 //  output,    width = 3,                  .txmargin6
		.txmargin7                 (_connected_to_txmargin7_),                 //  output,    width = 3,                  .txmargin7
		.txmargin8                 (_connected_to_txmargin8_),                 //  output,    width = 3,                  .txmargin8
		.txmargin9                 (_connected_to_txmargin9_),                 //  output,    width = 3,                  .txmargin9
		.txmargin10                (_connected_to_txmargin10_),                //  output,    width = 3,                  .txmargin10
		.txmargin11                (_connected_to_txmargin11_),                //  output,    width = 3,                  .txmargin11
		.txmargin12                (_connected_to_txmargin12_),                //  output,    width = 3,                  .txmargin12
		.txmargin13                (_connected_to_txmargin13_),                //  output,    width = 3,                  .txmargin13
		.txmargin14                (_connected_to_txmargin14_),                //  output,    width = 3,                  .txmargin14
		.txmargin15                (_connected_to_txmargin15_),                //  output,    width = 3,                  .txmargin15
		.txdeemph0                 (_connected_to_txdeemph0_),                 //  output,    width = 1,                  .txdeemph0
		.txdeemph1                 (_connected_to_txdeemph1_),                 //  output,    width = 1,                  .txdeemph1
		.txdeemph2                 (_connected_to_txdeemph2_),                 //  output,    width = 1,                  .txdeemph2
		.txdeemph3                 (_connected_to_txdeemph3_),                 //  output,    width = 1,                  .txdeemph3
		.txdeemph4                 (_connected_to_txdeemph4_),                 //  output,    width = 1,                  .txdeemph4
		.txdeemph5                 (_connected_to_txdeemph5_),                 //  output,    width = 1,                  .txdeemph5
		.txdeemph6                 (_connected_to_txdeemph6_),                 //  output,    width = 1,                  .txdeemph6
		.txdeemph7                 (_connected_to_txdeemph7_),                 //  output,    width = 1,                  .txdeemph7
		.txdeemph8                 (_connected_to_txdeemph8_),                 //  output,    width = 1,                  .txdeemph8
		.txdeemph9                 (_connected_to_txdeemph9_),                 //  output,    width = 1,                  .txdeemph9
		.txdeemph10                (_connected_to_txdeemph10_),                //  output,    width = 1,                  .txdeemph10
		.txdeemph11                (_connected_to_txdeemph11_),                //  output,    width = 1,                  .txdeemph11
		.txdeemph12                (_connected_to_txdeemph12_),                //  output,    width = 1,                  .txdeemph12
		.txdeemph13                (_connected_to_txdeemph13_),                //  output,    width = 1,                  .txdeemph13
		.txdeemph14                (_connected_to_txdeemph14_),                //  output,    width = 1,                  .txdeemph14
		.txdeemph15                (_connected_to_txdeemph15_),                //  output,    width = 1,                  .txdeemph15
		.txswing0                  (_connected_to_txswing0_),                  //  output,    width = 1,                  .txswing0
		.txswing1                  (_connected_to_txswing1_),                  //  output,    width = 1,                  .txswing1
		.txswing2                  (_connected_to_txswing2_),                  //  output,    width = 1,                  .txswing2
		.txswing3                  (_connected_to_txswing3_),                  //  output,    width = 1,                  .txswing3
		.txswing4                  (_connected_to_txswing4_),                  //  output,    width = 1,                  .txswing4
		.txswing5                  (_connected_to_txswing5_),                  //  output,    width = 1,                  .txswing5
		.txswing6                  (_connected_to_txswing6_),                  //  output,    width = 1,                  .txswing6
		.txswing7                  (_connected_to_txswing7_),                  //  output,    width = 1,                  .txswing7
		.txswing8                  (_connected_to_txswing8_),                  //  output,    width = 1,                  .txswing8
		.txswing9                  (_connected_to_txswing9_),                  //  output,    width = 1,                  .txswing9
		.txswing10                 (_connected_to_txswing10_),                 //  output,    width = 1,                  .txswing10
		.txswing11                 (_connected_to_txswing11_),                 //  output,    width = 1,                  .txswing11
		.txswing12                 (_connected_to_txswing12_),                 //  output,    width = 1,                  .txswing12
		.txswing13                 (_connected_to_txswing13_),                 //  output,    width = 1,                  .txswing13
		.txswing14                 (_connected_to_txswing14_),                 //  output,    width = 1,                  .txswing14
		.txswing15                 (_connected_to_txswing15_),                 //  output,    width = 1,                  .txswing15
		.txsynchd0                 (_connected_to_txsynchd0_),                 //  output,    width = 2,                  .txsynchd0
		.txsynchd1                 (_connected_to_txsynchd1_),                 //  output,    width = 2,                  .txsynchd1
		.txsynchd2                 (_connected_to_txsynchd2_),                 //  output,    width = 2,                  .txsynchd2
		.txsynchd3                 (_connected_to_txsynchd3_),                 //  output,    width = 2,                  .txsynchd3
		.txsynchd4                 (_connected_to_txsynchd4_),                 //  output,    width = 2,                  .txsynchd4
		.txsynchd5                 (_connected_to_txsynchd5_),                 //  output,    width = 2,                  .txsynchd5
		.txsynchd6                 (_connected_to_txsynchd6_),                 //  output,    width = 2,                  .txsynchd6
		.txsynchd7                 (_connected_to_txsynchd7_),                 //  output,    width = 2,                  .txsynchd7
		.txsynchd8                 (_connected_to_txsynchd8_),                 //  output,    width = 2,                  .txsynchd8
		.txsynchd9                 (_connected_to_txsynchd9_),                 //  output,    width = 2,                  .txsynchd9
		.txsynchd10                (_connected_to_txsynchd10_),                //  output,    width = 2,                  .txsynchd10
		.txsynchd11                (_connected_to_txsynchd11_),                //  output,    width = 2,                  .txsynchd11
		.txsynchd12                (_connected_to_txsynchd12_),                //  output,    width = 2,                  .txsynchd12
		.txsynchd13                (_connected_to_txsynchd13_),                //  output,    width = 2,                  .txsynchd13
		.txsynchd14                (_connected_to_txsynchd14_),                //  output,    width = 2,                  .txsynchd14
		.txsynchd15                (_connected_to_txsynchd15_),                //  output,    width = 2,                  .txsynchd15
		.txblkst0                  (_connected_to_txblkst0_),                  //  output,    width = 1,                  .txblkst0
		.txblkst1                  (_connected_to_txblkst1_),                  //  output,    width = 1,                  .txblkst1
		.txblkst2                  (_connected_to_txblkst2_),                  //  output,    width = 1,                  .txblkst2
		.txblkst3                  (_connected_to_txblkst3_),                  //  output,    width = 1,                  .txblkst3
		.txblkst4                  (_connected_to_txblkst4_),                  //  output,    width = 1,                  .txblkst4
		.txblkst5                  (_connected_to_txblkst5_),                  //  output,    width = 1,                  .txblkst5
		.txblkst6                  (_connected_to_txblkst6_),                  //  output,    width = 1,                  .txblkst6
		.txblkst7                  (_connected_to_txblkst7_),                  //  output,    width = 1,                  .txblkst7
		.txblkst8                  (_connected_to_txblkst8_),                  //  output,    width = 1,                  .txblkst8
		.txblkst9                  (_connected_to_txblkst9_),                  //  output,    width = 1,                  .txblkst9
		.txblkst10                 (_connected_to_txblkst10_),                 //  output,    width = 1,                  .txblkst10
		.txblkst11                 (_connected_to_txblkst11_),                 //  output,    width = 1,                  .txblkst11
		.txblkst12                 (_connected_to_txblkst12_),                 //  output,    width = 1,                  .txblkst12
		.txblkst13                 (_connected_to_txblkst13_),                 //  output,    width = 1,                  .txblkst13
		.txblkst14                 (_connected_to_txblkst14_),                 //  output,    width = 1,                  .txblkst14
		.txblkst15                 (_connected_to_txblkst15_),                 //  output,    width = 1,                  .txblkst15
		.txdataskip0               (_connected_to_txdataskip0_),               //  output,    width = 1,                  .txdataskip0
		.txdataskip1               (_connected_to_txdataskip1_),               //  output,    width = 1,                  .txdataskip1
		.txdataskip2               (_connected_to_txdataskip2_),               //  output,    width = 1,                  .txdataskip2
		.txdataskip3               (_connected_to_txdataskip3_),               //  output,    width = 1,                  .txdataskip3
		.txdataskip4               (_connected_to_txdataskip4_),               //  output,    width = 1,                  .txdataskip4
		.txdataskip5               (_connected_to_txdataskip5_),               //  output,    width = 1,                  .txdataskip5
		.txdataskip6               (_connected_to_txdataskip6_),               //  output,    width = 1,                  .txdataskip6
		.txdataskip7               (_connected_to_txdataskip7_),               //  output,    width = 1,                  .txdataskip7
		.txdataskip8               (_connected_to_txdataskip8_),               //  output,    width = 1,                  .txdataskip8
		.txdataskip9               (_connected_to_txdataskip9_),               //  output,    width = 1,                  .txdataskip9
		.txdataskip10              (_connected_to_txdataskip10_),              //  output,    width = 1,                  .txdataskip10
		.txdataskip11              (_connected_to_txdataskip11_),              //  output,    width = 1,                  .txdataskip11
		.txdataskip12              (_connected_to_txdataskip12_),              //  output,    width = 1,                  .txdataskip12
		.txdataskip13              (_connected_to_txdataskip13_),              //  output,    width = 1,                  .txdataskip13
		.txdataskip14              (_connected_to_txdataskip14_),              //  output,    width = 1,                  .txdataskip14
		.txdataskip15              (_connected_to_txdataskip15_),              //  output,    width = 1,                  .txdataskip15
		.rate0                     (_connected_to_rate0_),                     //  output,    width = 2,                  .rate0
		.rate1                     (_connected_to_rate1_),                     //  output,    width = 2,                  .rate1
		.rate2                     (_connected_to_rate2_),                     //  output,    width = 2,                  .rate2
		.rate3                     (_connected_to_rate3_),                     //  output,    width = 2,                  .rate3
		.rate4                     (_connected_to_rate4_),                     //  output,    width = 2,                  .rate4
		.rate5                     (_connected_to_rate5_),                     //  output,    width = 2,                  .rate5
		.rate6                     (_connected_to_rate6_),                     //  output,    width = 2,                  .rate6
		.rate7                     (_connected_to_rate7_),                     //  output,    width = 2,                  .rate7
		.rate8                     (_connected_to_rate8_),                     //  output,    width = 2,                  .rate8
		.rate9                     (_connected_to_rate9_),                     //  output,    width = 2,                  .rate9
		.rate10                    (_connected_to_rate10_),                    //  output,    width = 2,                  .rate10
		.rate11                    (_connected_to_rate11_),                    //  output,    width = 2,                  .rate11
		.rate12                    (_connected_to_rate12_),                    //  output,    width = 2,                  .rate12
		.rate13                    (_connected_to_rate13_),                    //  output,    width = 2,                  .rate13
		.rate14                    (_connected_to_rate14_),                    //  output,    width = 2,                  .rate14
		.rate15                    (_connected_to_rate15_),                    //  output,    width = 2,                  .rate15
		.rxpolarity0               (_connected_to_rxpolarity0_),               //  output,    width = 1,                  .rxpolarity0
		.rxpolarity1               (_connected_to_rxpolarity1_),               //  output,    width = 1,                  .rxpolarity1
		.rxpolarity2               (_connected_to_rxpolarity2_),               //  output,    width = 1,                  .rxpolarity2
		.rxpolarity3               (_connected_to_rxpolarity3_),               //  output,    width = 1,                  .rxpolarity3
		.rxpolarity4               (_connected_to_rxpolarity4_),               //  output,    width = 1,                  .rxpolarity4
		.rxpolarity5               (_connected_to_rxpolarity5_),               //  output,    width = 1,                  .rxpolarity5
		.rxpolarity6               (_connected_to_rxpolarity6_),               //  output,    width = 1,                  .rxpolarity6
		.rxpolarity7               (_connected_to_rxpolarity7_),               //  output,    width = 1,                  .rxpolarity7
		.rxpolarity8               (_connected_to_rxpolarity8_),               //  output,    width = 1,                  .rxpolarity8
		.rxpolarity9               (_connected_to_rxpolarity9_),               //  output,    width = 1,                  .rxpolarity9
		.rxpolarity10              (_connected_to_rxpolarity10_),              //  output,    width = 1,                  .rxpolarity10
		.rxpolarity11              (_connected_to_rxpolarity11_),              //  output,    width = 1,                  .rxpolarity11
		.rxpolarity12              (_connected_to_rxpolarity12_),              //  output,    width = 1,                  .rxpolarity12
		.rxpolarity13              (_connected_to_rxpolarity13_),              //  output,    width = 1,                  .rxpolarity13
		.rxpolarity14              (_connected_to_rxpolarity14_),              //  output,    width = 1,                  .rxpolarity14
		.rxpolarity15              (_connected_to_rxpolarity15_),              //  output,    width = 1,                  .rxpolarity15
		.currentrxpreset0          (_connected_to_currentrxpreset0_),          //  output,    width = 3,                  .currentrxpreset0
		.currentrxpreset1          (_connected_to_currentrxpreset1_),          //  output,    width = 3,                  .currentrxpreset1
		.currentrxpreset2          (_connected_to_currentrxpreset2_),          //  output,    width = 3,                  .currentrxpreset2
		.currentrxpreset3          (_connected_to_currentrxpreset3_),          //  output,    width = 3,                  .currentrxpreset3
		.currentrxpreset4          (_connected_to_currentrxpreset4_),          //  output,    width = 3,                  .currentrxpreset4
		.currentrxpreset5          (_connected_to_currentrxpreset5_),          //  output,    width = 3,                  .currentrxpreset5
		.currentrxpreset6          (_connected_to_currentrxpreset6_),          //  output,    width = 3,                  .currentrxpreset6
		.currentrxpreset7          (_connected_to_currentrxpreset7_),          //  output,    width = 3,                  .currentrxpreset7
		.currentrxpreset8          (_connected_to_currentrxpreset8_),          //  output,    width = 3,                  .currentrxpreset8
		.currentrxpreset9          (_connected_to_currentrxpreset9_),          //  output,    width = 3,                  .currentrxpreset9
		.currentrxpreset10         (_connected_to_currentrxpreset10_),         //  output,    width = 3,                  .currentrxpreset10
		.currentrxpreset11         (_connected_to_currentrxpreset11_),         //  output,    width = 3,                  .currentrxpreset11
		.currentrxpreset12         (_connected_to_currentrxpreset12_),         //  output,    width = 3,                  .currentrxpreset12
		.currentrxpreset13         (_connected_to_currentrxpreset13_),         //  output,    width = 3,                  .currentrxpreset13
		.currentrxpreset14         (_connected_to_currentrxpreset14_),         //  output,    width = 3,                  .currentrxpreset14
		.currentrxpreset15         (_connected_to_currentrxpreset15_),         //  output,    width = 3,                  .currentrxpreset15
		.currentcoeff0             (_connected_to_currentcoeff0_),             //  output,   width = 18,                  .currentcoeff0
		.currentcoeff1             (_connected_to_currentcoeff1_),             //  output,   width = 18,                  .currentcoeff1
		.currentcoeff2             (_connected_to_currentcoeff2_),             //  output,   width = 18,                  .currentcoeff2
		.currentcoeff3             (_connected_to_currentcoeff3_),             //  output,   width = 18,                  .currentcoeff3
		.currentcoeff4             (_connected_to_currentcoeff4_),             //  output,   width = 18,                  .currentcoeff4
		.currentcoeff5             (_connected_to_currentcoeff5_),             //  output,   width = 18,                  .currentcoeff5
		.currentcoeff6             (_connected_to_currentcoeff6_),             //  output,   width = 18,                  .currentcoeff6
		.currentcoeff7             (_connected_to_currentcoeff7_),             //  output,   width = 18,                  .currentcoeff7
		.currentcoeff8             (_connected_to_currentcoeff8_),             //  output,   width = 18,                  .currentcoeff8
		.currentcoeff9             (_connected_to_currentcoeff9_),             //  output,   width = 18,                  .currentcoeff9
		.currentcoeff10            (_connected_to_currentcoeff10_),            //  output,   width = 18,                  .currentcoeff10
		.currentcoeff11            (_connected_to_currentcoeff11_),            //  output,   width = 18,                  .currentcoeff11
		.currentcoeff12            (_connected_to_currentcoeff12_),            //  output,   width = 18,                  .currentcoeff12
		.currentcoeff13            (_connected_to_currentcoeff13_),            //  output,   width = 18,                  .currentcoeff13
		.currentcoeff14            (_connected_to_currentcoeff14_),            //  output,   width = 18,                  .currentcoeff14
		.currentcoeff15            (_connected_to_currentcoeff15_),            //  output,   width = 18,                  .currentcoeff15
		.rxeqeval0                 (_connected_to_rxeqeval0_),                 //  output,    width = 1,                  .rxeqeval0
		.rxeqeval1                 (_connected_to_rxeqeval1_),                 //  output,    width = 1,                  .rxeqeval1
		.rxeqeval2                 (_connected_to_rxeqeval2_),                 //  output,    width = 1,                  .rxeqeval2
		.rxeqeval3                 (_connected_to_rxeqeval3_),                 //  output,    width = 1,                  .rxeqeval3
		.rxeqeval4                 (_connected_to_rxeqeval4_),                 //  output,    width = 1,                  .rxeqeval4
		.rxeqeval5                 (_connected_to_rxeqeval5_),                 //  output,    width = 1,                  .rxeqeval5
		.rxeqeval6                 (_connected_to_rxeqeval6_),                 //  output,    width = 1,                  .rxeqeval6
		.rxeqeval7                 (_connected_to_rxeqeval7_),                 //  output,    width = 1,                  .rxeqeval7
		.rxeqeval8                 (_connected_to_rxeqeval8_),                 //  output,    width = 1,                  .rxeqeval8
		.rxeqeval9                 (_connected_to_rxeqeval9_),                 //  output,    width = 1,                  .rxeqeval9
		.rxeqeval10                (_connected_to_rxeqeval10_),                //  output,    width = 1,                  .rxeqeval10
		.rxeqeval11                (_connected_to_rxeqeval11_),                //  output,    width = 1,                  .rxeqeval11
		.rxeqeval12                (_connected_to_rxeqeval12_),                //  output,    width = 1,                  .rxeqeval12
		.rxeqeval13                (_connected_to_rxeqeval13_),                //  output,    width = 1,                  .rxeqeval13
		.rxeqeval14                (_connected_to_rxeqeval14_),                //  output,    width = 1,                  .rxeqeval14
		.rxeqeval15                (_connected_to_rxeqeval15_),                //  output,    width = 1,                  .rxeqeval15
		.rxeqinprogress0           (_connected_to_rxeqinprogress0_),           //  output,    width = 1,                  .rxeqinprogress0
		.rxeqinprogress1           (_connected_to_rxeqinprogress1_),           //  output,    width = 1,                  .rxeqinprogress1
		.rxeqinprogress2           (_connected_to_rxeqinprogress2_),           //  output,    width = 1,                  .rxeqinprogress2
		.rxeqinprogress3           (_connected_to_rxeqinprogress3_),           //  output,    width = 1,                  .rxeqinprogress3
		.rxeqinprogress4           (_connected_to_rxeqinprogress4_),           //  output,    width = 1,                  .rxeqinprogress4
		.rxeqinprogress5           (_connected_to_rxeqinprogress5_),           //  output,    width = 1,                  .rxeqinprogress5
		.rxeqinprogress6           (_connected_to_rxeqinprogress6_),           //  output,    width = 1,                  .rxeqinprogress6
		.rxeqinprogress7           (_connected_to_rxeqinprogress7_),           //  output,    width = 1,                  .rxeqinprogress7
		.rxeqinprogress8           (_connected_to_rxeqinprogress8_),           //  output,    width = 1,                  .rxeqinprogress8
		.rxeqinprogress9           (_connected_to_rxeqinprogress9_),           //  output,    width = 1,                  .rxeqinprogress9
		.rxeqinprogress10          (_connected_to_rxeqinprogress10_),          //  output,    width = 1,                  .rxeqinprogress10
		.rxeqinprogress11          (_connected_to_rxeqinprogress11_),          //  output,    width = 1,                  .rxeqinprogress11
		.rxeqinprogress12          (_connected_to_rxeqinprogress12_),          //  output,    width = 1,                  .rxeqinprogress12
		.rxeqinprogress13          (_connected_to_rxeqinprogress13_),          //  output,    width = 1,                  .rxeqinprogress13
		.rxeqinprogress14          (_connected_to_rxeqinprogress14_),          //  output,    width = 1,                  .rxeqinprogress14
		.rxeqinprogress15          (_connected_to_rxeqinprogress15_),          //  output,    width = 1,                  .rxeqinprogress15
		.invalidreq0               (_connected_to_invalidreq0_),               //  output,    width = 1,                  .invalidreq0
		.invalidreq1               (_connected_to_invalidreq1_),               //  output,    width = 1,                  .invalidreq1
		.invalidreq2               (_connected_to_invalidreq2_),               //  output,    width = 1,                  .invalidreq2
		.invalidreq3               (_connected_to_invalidreq3_),               //  output,    width = 1,                  .invalidreq3
		.invalidreq4               (_connected_to_invalidreq4_),               //  output,    width = 1,                  .invalidreq4
		.invalidreq5               (_connected_to_invalidreq5_),               //  output,    width = 1,                  .invalidreq5
		.invalidreq6               (_connected_to_invalidreq6_),               //  output,    width = 1,                  .invalidreq6
		.invalidreq7               (_connected_to_invalidreq7_),               //  output,    width = 1,                  .invalidreq7
		.invalidreq8               (_connected_to_invalidreq8_),               //  output,    width = 1,                  .invalidreq8
		.invalidreq9               (_connected_to_invalidreq9_),               //  output,    width = 1,                  .invalidreq9
		.invalidreq10              (_connected_to_invalidreq10_),              //  output,    width = 1,                  .invalidreq10
		.invalidreq11              (_connected_to_invalidreq11_),              //  output,    width = 1,                  .invalidreq11
		.invalidreq12              (_connected_to_invalidreq12_),              //  output,    width = 1,                  .invalidreq12
		.invalidreq13              (_connected_to_invalidreq13_),              //  output,    width = 1,                  .invalidreq13
		.invalidreq14              (_connected_to_invalidreq14_),              //  output,    width = 1,                  .invalidreq14
		.invalidreq15              (_connected_to_invalidreq15_),              //  output,    width = 1,                  .invalidreq15
		.rxdata0                   (_connected_to_rxdata0_),                   //   input,   width = 32,                  .rxdata0
		.rxdata1                   (_connected_to_rxdata1_),                   //   input,   width = 32,                  .rxdata1
		.rxdata2                   (_connected_to_rxdata2_),                   //   input,   width = 32,                  .rxdata2
		.rxdata3                   (_connected_to_rxdata3_),                   //   input,   width = 32,                  .rxdata3
		.rxdata4                   (_connected_to_rxdata4_),                   //   input,   width = 32,                  .rxdata4
		.rxdata5                   (_connected_to_rxdata5_),                   //   input,   width = 32,                  .rxdata5
		.rxdata6                   (_connected_to_rxdata6_),                   //   input,   width = 32,                  .rxdata6
		.rxdata7                   (_connected_to_rxdata7_),                   //   input,   width = 32,                  .rxdata7
		.rxdata8                   (_connected_to_rxdata8_),                   //   input,   width = 32,                  .rxdata8
		.rxdata9                   (_connected_to_rxdata9_),                   //   input,   width = 32,                  .rxdata9
		.rxdata10                  (_connected_to_rxdata10_),                  //   input,   width = 32,                  .rxdata10
		.rxdata11                  (_connected_to_rxdata11_),                  //   input,   width = 32,                  .rxdata11
		.rxdata12                  (_connected_to_rxdata12_),                  //   input,   width = 32,                  .rxdata12
		.rxdata13                  (_connected_to_rxdata13_),                  //   input,   width = 32,                  .rxdata13
		.rxdata14                  (_connected_to_rxdata14_),                  //   input,   width = 32,                  .rxdata14
		.rxdata15                  (_connected_to_rxdata15_),                  //   input,   width = 32,                  .rxdata15
		.rxdatak0                  (_connected_to_rxdatak0_),                  //   input,    width = 4,                  .rxdatak0
		.rxdatak1                  (_connected_to_rxdatak1_),                  //   input,    width = 4,                  .rxdatak1
		.rxdatak2                  (_connected_to_rxdatak2_),                  //   input,    width = 4,                  .rxdatak2
		.rxdatak3                  (_connected_to_rxdatak3_),                  //   input,    width = 4,                  .rxdatak3
		.rxdatak4                  (_connected_to_rxdatak4_),                  //   input,    width = 4,                  .rxdatak4
		.rxdatak5                  (_connected_to_rxdatak5_),                  //   input,    width = 4,                  .rxdatak5
		.rxdatak6                  (_connected_to_rxdatak6_),                  //   input,    width = 4,                  .rxdatak6
		.rxdatak7                  (_connected_to_rxdatak7_),                  //   input,    width = 4,                  .rxdatak7
		.rxdatak8                  (_connected_to_rxdatak8_),                  //   input,    width = 4,                  .rxdatak8
		.rxdatak9                  (_connected_to_rxdatak9_),                  //   input,    width = 4,                  .rxdatak9
		.rxdatak10                 (_connected_to_rxdatak10_),                 //   input,    width = 4,                  .rxdatak10
		.rxdatak11                 (_connected_to_rxdatak11_),                 //   input,    width = 4,                  .rxdatak11
		.rxdatak12                 (_connected_to_rxdatak12_),                 //   input,    width = 4,                  .rxdatak12
		.rxdatak13                 (_connected_to_rxdatak13_),                 //   input,    width = 4,                  .rxdatak13
		.rxdatak14                 (_connected_to_rxdatak14_),                 //   input,    width = 4,                  .rxdatak14
		.rxdatak15                 (_connected_to_rxdatak15_),                 //   input,    width = 4,                  .rxdatak15
		.phystatus0                (_connected_to_phystatus0_),                //   input,    width = 1,                  .phystatus0
		.phystatus1                (_connected_to_phystatus1_),                //   input,    width = 1,                  .phystatus1
		.phystatus2                (_connected_to_phystatus2_),                //   input,    width = 1,                  .phystatus2
		.phystatus3                (_connected_to_phystatus3_),                //   input,    width = 1,                  .phystatus3
		.phystatus4                (_connected_to_phystatus4_),                //   input,    width = 1,                  .phystatus4
		.phystatus5                (_connected_to_phystatus5_),                //   input,    width = 1,                  .phystatus5
		.phystatus6                (_connected_to_phystatus6_),                //   input,    width = 1,                  .phystatus6
		.phystatus7                (_connected_to_phystatus7_),                //   input,    width = 1,                  .phystatus7
		.phystatus8                (_connected_to_phystatus8_),                //   input,    width = 1,                  .phystatus8
		.phystatus9                (_connected_to_phystatus9_),                //   input,    width = 1,                  .phystatus9
		.phystatus10               (_connected_to_phystatus10_),               //   input,    width = 1,                  .phystatus10
		.phystatus11               (_connected_to_phystatus11_),               //   input,    width = 1,                  .phystatus11
		.phystatus12               (_connected_to_phystatus12_),               //   input,    width = 1,                  .phystatus12
		.phystatus13               (_connected_to_phystatus13_),               //   input,    width = 1,                  .phystatus13
		.phystatus14               (_connected_to_phystatus14_),               //   input,    width = 1,                  .phystatus14
		.phystatus15               (_connected_to_phystatus15_),               //   input,    width = 1,                  .phystatus15
		.rxvalid0                  (_connected_to_rxvalid0_),                  //   input,    width = 1,                  .rxvalid0
		.rxvalid1                  (_connected_to_rxvalid1_),                  //   input,    width = 1,                  .rxvalid1
		.rxvalid2                  (_connected_to_rxvalid2_),                  //   input,    width = 1,                  .rxvalid2
		.rxvalid3                  (_connected_to_rxvalid3_),                  //   input,    width = 1,                  .rxvalid3
		.rxvalid4                  (_connected_to_rxvalid4_),                  //   input,    width = 1,                  .rxvalid4
		.rxvalid5                  (_connected_to_rxvalid5_),                  //   input,    width = 1,                  .rxvalid5
		.rxvalid6                  (_connected_to_rxvalid6_),                  //   input,    width = 1,                  .rxvalid6
		.rxvalid7                  (_connected_to_rxvalid7_),                  //   input,    width = 1,                  .rxvalid7
		.rxvalid8                  (_connected_to_rxvalid8_),                  //   input,    width = 1,                  .rxvalid8
		.rxvalid9                  (_connected_to_rxvalid9_),                  //   input,    width = 1,                  .rxvalid9
		.rxvalid10                 (_connected_to_rxvalid10_),                 //   input,    width = 1,                  .rxvalid10
		.rxvalid11                 (_connected_to_rxvalid11_),                 //   input,    width = 1,                  .rxvalid11
		.rxvalid12                 (_connected_to_rxvalid12_),                 //   input,    width = 1,                  .rxvalid12
		.rxvalid13                 (_connected_to_rxvalid13_),                 //   input,    width = 1,                  .rxvalid13
		.rxvalid14                 (_connected_to_rxvalid14_),                 //   input,    width = 1,                  .rxvalid14
		.rxvalid15                 (_connected_to_rxvalid15_),                 //   input,    width = 1,                  .rxvalid15
		.rxstatus0                 (_connected_to_rxstatus0_),                 //   input,    width = 3,                  .rxstatus0
		.rxstatus1                 (_connected_to_rxstatus1_),                 //   input,    width = 3,                  .rxstatus1
		.rxstatus2                 (_connected_to_rxstatus2_),                 //   input,    width = 3,                  .rxstatus2
		.rxstatus3                 (_connected_to_rxstatus3_),                 //   input,    width = 3,                  .rxstatus3
		.rxstatus4                 (_connected_to_rxstatus4_),                 //   input,    width = 3,                  .rxstatus4
		.rxstatus5                 (_connected_to_rxstatus5_),                 //   input,    width = 3,                  .rxstatus5
		.rxstatus6                 (_connected_to_rxstatus6_),                 //   input,    width = 3,                  .rxstatus6
		.rxstatus7                 (_connected_to_rxstatus7_),                 //   input,    width = 3,                  .rxstatus7
		.rxstatus8                 (_connected_to_rxstatus8_),                 //   input,    width = 3,                  .rxstatus8
		.rxstatus9                 (_connected_to_rxstatus9_),                 //   input,    width = 3,                  .rxstatus9
		.rxstatus10                (_connected_to_rxstatus10_),                //   input,    width = 3,                  .rxstatus10
		.rxstatus11                (_connected_to_rxstatus11_),                //   input,    width = 3,                  .rxstatus11
		.rxstatus12                (_connected_to_rxstatus12_),                //   input,    width = 3,                  .rxstatus12
		.rxstatus13                (_connected_to_rxstatus13_),                //   input,    width = 3,                  .rxstatus13
		.rxstatus14                (_connected_to_rxstatus14_),                //   input,    width = 3,                  .rxstatus14
		.rxstatus15                (_connected_to_rxstatus15_),                //   input,    width = 3,                  .rxstatus15
		.rxelecidle0               (_connected_to_rxelecidle0_),               //   input,    width = 1,                  .rxelecidle0
		.rxelecidle1               (_connected_to_rxelecidle1_),               //   input,    width = 1,                  .rxelecidle1
		.rxelecidle2               (_connected_to_rxelecidle2_),               //   input,    width = 1,                  .rxelecidle2
		.rxelecidle3               (_connected_to_rxelecidle3_),               //   input,    width = 1,                  .rxelecidle3
		.rxelecidle4               (_connected_to_rxelecidle4_),               //   input,    width = 1,                  .rxelecidle4
		.rxelecidle5               (_connected_to_rxelecidle5_),               //   input,    width = 1,                  .rxelecidle5
		.rxelecidle6               (_connected_to_rxelecidle6_),               //   input,    width = 1,                  .rxelecidle6
		.rxelecidle7               (_connected_to_rxelecidle7_),               //   input,    width = 1,                  .rxelecidle7
		.rxelecidle8               (_connected_to_rxelecidle8_),               //   input,    width = 1,                  .rxelecidle8
		.rxelecidle9               (_connected_to_rxelecidle9_),               //   input,    width = 1,                  .rxelecidle9
		.rxelecidle10              (_connected_to_rxelecidle10_),              //   input,    width = 1,                  .rxelecidle10
		.rxelecidle11              (_connected_to_rxelecidle11_),              //   input,    width = 1,                  .rxelecidle11
		.rxelecidle12              (_connected_to_rxelecidle12_),              //   input,    width = 1,                  .rxelecidle12
		.rxelecidle13              (_connected_to_rxelecidle13_),              //   input,    width = 1,                  .rxelecidle13
		.rxelecidle14              (_connected_to_rxelecidle14_),              //   input,    width = 1,                  .rxelecidle14
		.rxelecidle15              (_connected_to_rxelecidle15_),              //   input,    width = 1,                  .rxelecidle15
		.rxsynchd0                 (_connected_to_rxsynchd0_),                 //   input,    width = 2,                  .rxsynchd0
		.rxsynchd1                 (_connected_to_rxsynchd1_),                 //   input,    width = 2,                  .rxsynchd1
		.rxsynchd2                 (_connected_to_rxsynchd2_),                 //   input,    width = 2,                  .rxsynchd2
		.rxsynchd3                 (_connected_to_rxsynchd3_),                 //   input,    width = 2,                  .rxsynchd3
		.rxsynchd4                 (_connected_to_rxsynchd4_),                 //   input,    width = 2,                  .rxsynchd4
		.rxsynchd5                 (_connected_to_rxsynchd5_),                 //   input,    width = 2,                  .rxsynchd5
		.rxsynchd6                 (_connected_to_rxsynchd6_),                 //   input,    width = 2,                  .rxsynchd6
		.rxsynchd7                 (_connected_to_rxsynchd7_),                 //   input,    width = 2,                  .rxsynchd7
		.rxsynchd8                 (_connected_to_rxsynchd8_),                 //   input,    width = 2,                  .rxsynchd8
		.rxsynchd9                 (_connected_to_rxsynchd9_),                 //   input,    width = 2,                  .rxsynchd9
		.rxsynchd10                (_connected_to_rxsynchd10_),                //   input,    width = 2,                  .rxsynchd10
		.rxsynchd11                (_connected_to_rxsynchd11_),                //   input,    width = 2,                  .rxsynchd11
		.rxsynchd12                (_connected_to_rxsynchd12_),                //   input,    width = 2,                  .rxsynchd12
		.rxsynchd13                (_connected_to_rxsynchd13_),                //   input,    width = 2,                  .rxsynchd13
		.rxsynchd14                (_connected_to_rxsynchd14_),                //   input,    width = 2,                  .rxsynchd14
		.rxsynchd15                (_connected_to_rxsynchd15_),                //   input,    width = 2,                  .rxsynchd15
		.rxblkst0                  (_connected_to_rxblkst0_),                  //   input,    width = 1,                  .rxblkst0
		.rxblkst1                  (_connected_to_rxblkst1_),                  //   input,    width = 1,                  .rxblkst1
		.rxblkst2                  (_connected_to_rxblkst2_),                  //   input,    width = 1,                  .rxblkst2
		.rxblkst3                  (_connected_to_rxblkst3_),                  //   input,    width = 1,                  .rxblkst3
		.rxblkst4                  (_connected_to_rxblkst4_),                  //   input,    width = 1,                  .rxblkst4
		.rxblkst5                  (_connected_to_rxblkst5_),                  //   input,    width = 1,                  .rxblkst5
		.rxblkst6                  (_connected_to_rxblkst6_),                  //   input,    width = 1,                  .rxblkst6
		.rxblkst7                  (_connected_to_rxblkst7_),                  //   input,    width = 1,                  .rxblkst7
		.rxblkst8                  (_connected_to_rxblkst8_),                  //   input,    width = 1,                  .rxblkst8
		.rxblkst9                  (_connected_to_rxblkst9_),                  //   input,    width = 1,                  .rxblkst9
		.rxblkst10                 (_connected_to_rxblkst10_),                 //   input,    width = 1,                  .rxblkst10
		.rxblkst11                 (_connected_to_rxblkst11_),                 //   input,    width = 1,                  .rxblkst11
		.rxblkst12                 (_connected_to_rxblkst12_),                 //   input,    width = 1,                  .rxblkst12
		.rxblkst13                 (_connected_to_rxblkst13_),                 //   input,    width = 1,                  .rxblkst13
		.rxblkst14                 (_connected_to_rxblkst14_),                 //   input,    width = 1,                  .rxblkst14
		.rxblkst15                 (_connected_to_rxblkst15_),                 //   input,    width = 1,                  .rxblkst15
		.rxdataskip0               (_connected_to_rxdataskip0_),               //   input,    width = 1,                  .rxdataskip0
		.rxdataskip1               (_connected_to_rxdataskip1_),               //   input,    width = 1,                  .rxdataskip1
		.rxdataskip2               (_connected_to_rxdataskip2_),               //   input,    width = 1,                  .rxdataskip2
		.rxdataskip3               (_connected_to_rxdataskip3_),               //   input,    width = 1,                  .rxdataskip3
		.rxdataskip4               (_connected_to_rxdataskip4_),               //   input,    width = 1,                  .rxdataskip4
		.rxdataskip5               (_connected_to_rxdataskip5_),               //   input,    width = 1,                  .rxdataskip5
		.rxdataskip6               (_connected_to_rxdataskip6_),               //   input,    width = 1,                  .rxdataskip6
		.rxdataskip7               (_connected_to_rxdataskip7_),               //   input,    width = 1,                  .rxdataskip7
		.rxdataskip8               (_connected_to_rxdataskip8_),               //   input,    width = 1,                  .rxdataskip8
		.rxdataskip9               (_connected_to_rxdataskip9_),               //   input,    width = 1,                  .rxdataskip9
		.rxdataskip10              (_connected_to_rxdataskip10_),              //   input,    width = 1,                  .rxdataskip10
		.rxdataskip11              (_connected_to_rxdataskip11_),              //   input,    width = 1,                  .rxdataskip11
		.rxdataskip12              (_connected_to_rxdataskip12_),              //   input,    width = 1,                  .rxdataskip12
		.rxdataskip13              (_connected_to_rxdataskip13_),              //   input,    width = 1,                  .rxdataskip13
		.rxdataskip14              (_connected_to_rxdataskip14_),              //   input,    width = 1,                  .rxdataskip14
		.rxdataskip15              (_connected_to_rxdataskip15_),              //   input,    width = 1,                  .rxdataskip15
		.dirfeedback0              (_connected_to_dirfeedback0_),              //   input,    width = 6,                  .dirfeedback0
		.dirfeedback1              (_connected_to_dirfeedback1_),              //   input,    width = 6,                  .dirfeedback1
		.dirfeedback2              (_connected_to_dirfeedback2_),              //   input,    width = 6,                  .dirfeedback2
		.dirfeedback3              (_connected_to_dirfeedback3_),              //   input,    width = 6,                  .dirfeedback3
		.dirfeedback4              (_connected_to_dirfeedback4_),              //   input,    width = 6,                  .dirfeedback4
		.dirfeedback5              (_connected_to_dirfeedback5_),              //   input,    width = 6,                  .dirfeedback5
		.dirfeedback6              (_connected_to_dirfeedback6_),              //   input,    width = 6,                  .dirfeedback6
		.dirfeedback7              (_connected_to_dirfeedback7_),              //   input,    width = 6,                  .dirfeedback7
		.dirfeedback8              (_connected_to_dirfeedback8_),              //   input,    width = 6,                  .dirfeedback8
		.dirfeedback9              (_connected_to_dirfeedback9_),              //   input,    width = 6,                  .dirfeedback9
		.dirfeedback10             (_connected_to_dirfeedback10_),             //   input,    width = 6,                  .dirfeedback10
		.dirfeedback11             (_connected_to_dirfeedback11_),             //   input,    width = 6,                  .dirfeedback11
		.dirfeedback12             (_connected_to_dirfeedback12_),             //   input,    width = 6,                  .dirfeedback12
		.dirfeedback13             (_connected_to_dirfeedback13_),             //   input,    width = 6,                  .dirfeedback13
		.dirfeedback14             (_connected_to_dirfeedback14_),             //   input,    width = 6,                  .dirfeedback14
		.dirfeedback15             (_connected_to_dirfeedback15_),             //   input,    width = 6,                  .dirfeedback15
		.sim_pipe_mask_tx_pll_lock (_connected_to_sim_pipe_mask_tx_pll_lock_), //   input,    width = 1,                  .sim_pipe_mask_tx_pll_lock
		.rx_in0                    (_connected_to_rx_in0_),                    //   input,    width = 1,        hip_serial.rx_in0
		.rx_in1                    (_connected_to_rx_in1_),                    //   input,    width = 1,                  .rx_in1
		.rx_in2                    (_connected_to_rx_in2_),                    //   input,    width = 1,                  .rx_in2
		.rx_in3                    (_connected_to_rx_in3_),                    //   input,    width = 1,                  .rx_in3
		.rx_in4                    (_connected_to_rx_in4_),                    //   input,    width = 1,                  .rx_in4
		.rx_in5                    (_connected_to_rx_in5_),                    //   input,    width = 1,                  .rx_in5
		.rx_in6                    (_connected_to_rx_in6_),                    //   input,    width = 1,                  .rx_in6
		.rx_in7                    (_connected_to_rx_in7_),                    //   input,    width = 1,                  .rx_in7
		.rx_in8                    (_connected_to_rx_in8_),                    //   input,    width = 1,                  .rx_in8
		.rx_in9                    (_connected_to_rx_in9_),                    //   input,    width = 1,                  .rx_in9
		.rx_in10                   (_connected_to_rx_in10_),                   //   input,    width = 1,                  .rx_in10
		.rx_in11                   (_connected_to_rx_in11_),                   //   input,    width = 1,                  .rx_in11
		.rx_in12                   (_connected_to_rx_in12_),                   //   input,    width = 1,                  .rx_in12
		.rx_in13                   (_connected_to_rx_in13_),                   //   input,    width = 1,                  .rx_in13
		.rx_in14                   (_connected_to_rx_in14_),                   //   input,    width = 1,                  .rx_in14
		.rx_in15                   (_connected_to_rx_in15_),                   //   input,    width = 1,                  .rx_in15
		.tx_out0                   (_connected_to_tx_out0_),                   //  output,    width = 1,                  .tx_out0
		.tx_out1                   (_connected_to_tx_out1_),                   //  output,    width = 1,                  .tx_out1
		.tx_out2                   (_connected_to_tx_out2_),                   //  output,    width = 1,                  .tx_out2
		.tx_out3                   (_connected_to_tx_out3_),                   //  output,    width = 1,                  .tx_out3
		.tx_out4                   (_connected_to_tx_out4_),                   //  output,    width = 1,                  .tx_out4
		.tx_out5                   (_connected_to_tx_out5_),                   //  output,    width = 1,                  .tx_out5
		.tx_out6                   (_connected_to_tx_out6_),                   //  output,    width = 1,                  .tx_out6
		.tx_out7                   (_connected_to_tx_out7_),                   //  output,    width = 1,                  .tx_out7
		.tx_out8                   (_connected_to_tx_out8_),                   //  output,    width = 1,                  .tx_out8
		.tx_out9                   (_connected_to_tx_out9_),                   //  output,    width = 1,                  .tx_out9
		.tx_out10                  (_connected_to_tx_out10_),                  //  output,    width = 1,                  .tx_out10
		.tx_out11                  (_connected_to_tx_out11_),                  //  output,    width = 1,                  .tx_out11
		.tx_out12                  (_connected_to_tx_out12_),                  //  output,    width = 1,                  .tx_out12
		.tx_out13                  (_connected_to_tx_out13_),                  //  output,    width = 1,                  .tx_out13
		.tx_out14                  (_connected_to_tx_out14_),                  //  output,    width = 1,                  .tx_out14
		.tx_out15                  (_connected_to_tx_out15_)                   //  output,    width = 1,                  .tx_out15
	);

