
namespace eval pcie_example_design_DUT {
  proc get_memory_files {QSYS_SIMDIR} {
    set memory_files [list]
    return $memory_files
  }
  
  proc get_common_design_files {QSYS_SIMDIR} {
    set design_files [dict create]
    dict set design_files "altera_common_sv_packages::altera_xcvr_native_s10_functions_h" "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_xcvr_native_s10_functions_h.sv"
    return $design_files
  }
  
  proc get_design_files {QSYS_SIMDIR} {
    set design_files [dict create]
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_o32nq4a.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_o32nq4a.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_o32nq4a.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_o32nq4a.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_av6oxqi.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_av6oxqi.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_4eoz23a.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_4eoz23a.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_4eoz23a.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_4eoz23a.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_fkzimti.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_fkzimti.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_vcqkcqy.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_vcqkcqy.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_vcqkcqy.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_vcqkcqy.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_gon3gci.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_gon3gci.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_khic43a.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_khic43a.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_khic43a.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_khic43a.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_xbdvdbi.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_xbdvdbi.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_bdsbnoq.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_bdsbnoq.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_bdsbnoq.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_bdsbnoq.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_hhta2uy.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_hhta2uy.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_llsduea.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_llsduea.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_llsduea.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_llsduea.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_v2hqiha.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_v2hqiha.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_5dkjujy.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_5dkjujy.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_5dkjujy.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_5dkjujy.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_h6kekwy.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_h6kekwy.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_xhmhj4a.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_xhmhj4a.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_xhmhj4a.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_xhmhj4a.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_6vi33ka.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_6vi33ka.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_gjosw7i.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_gjosw7i.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_gjosw7i.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_gjosw7i.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_btdlcei.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_btdlcei.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_gcl3ddq.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_gcl3ddq.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_gcl3ddq.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_gcl3ddq.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_qgwva4a.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_qgwva4a.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_kdlkwty.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_kdlkwty.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_kdlkwty.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_kdlkwty.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_nbibiti.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_nbibiti.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_jd25rii.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_jd25rii.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_jd25rii.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_jd25rii.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_dsv5xwq.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_dsv5xwq.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_7cnoiwa.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_7cnoiwa.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_7cnoiwa.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_7cnoiwa.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_hj23b3q.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_hj23b3q.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_66qmcdi.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_66qmcdi.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_66qmcdi.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_66qmcdi.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_p5e2hkq.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_p5e2hkq.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_bbhiuva.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_bbhiuva.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_bbhiuva.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_bbhiuva.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_wiqxrza.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_wiqxrza.v" 
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                      
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                          
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_resync_std.sv"                                                   
    dict set design_files "alt_xcvr_reset_counter_s10.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_reset_counter_s10.sv"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/s10_avmm_h.sv"                                                            
    dict set design_files "alt_xcvr_native_avmm_csr.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_avmm_csr.sv"                                              
    dict set design_files "alt_xcvr_native_prbs_accum.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_prbs_accum.sv"                                            
    dict set design_files "alt_xcvr_native_odi_accel.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_odi_accel.sv"                                             
    dict set design_files "alt_xcvr_native_rcfg_arb.sv"                                            "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_arb.sv"                                              
    dict set design_files "alt_xcvr_early_spd_chng_s10_htile.sv"                                   "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_early_spd_chng_s10_htile.sv"                                     
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                        
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                         
    dict set design_files "alt_xcvr_native_reset_seq.sv"                                           "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_reset_seq.sv"                                             
    dict set design_files "alt_xcvr_native_anlg_reset_seq_wrapper.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq_wrapper.sv"                                
    dict set design_files "alt_xcvr_native_re_cal_chnl.v"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_re_cal_chnl.v"                                            
    dict set design_files "alt_xcvr_pcie_rx_eios_prot.sv"                                          "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_pcie_rx_eios_prot.sv"                                            
    dict set design_files "pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_5iwjjhq.sv"    "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_native_s10_htile_191_5iwjjhq.sv"      
    dict set design_files "alt_xcvr_native_rcfg_opt_logic_5iwjjhq.sv"                              "$QSYS_SIMDIR/../altera_xcvr_native_s10_htile_191/sim/alt_xcvr_native_rcfg_opt_logic_5iwjjhq.sv"                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_7bzsyay.v"  "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_7bzsyay.v" 
    dict set design_files "pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_ckmyhei.sv" "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/pcie_example_design_DUT_altera_xcvr_pcie_hip_native_s10_191_ckmyhei.sv"
    dict set design_files "alt_xcvr_native_dig_reset_seq.sv"                                       "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/alt_xcvr_native_dig_reset_seq.sv"                                      
    dict set design_files "alt_xcvr_resync_std.sv"                                                 "$QSYS_SIMDIR/../altera_xcvr_pcie_hip_native_s10_191/sim/alt_xcvr_resync_std.sv"                                                
    dict set design_files "phy_g3x16.v"                                                            "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/phy_g3x16.v"                                                                           
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                            
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/s10_avmm_h.sv"                                                              
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                          
    dict set design_files "alt_xcvr_pll_rcfg_arb.sv"                                               "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/alt_xcvr_pll_rcfg_arb.sv"                                                   
    dict set design_files "alt_xcvr_pll_embedded_debug.sv"                                         "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/alt_xcvr_pll_embedded_debug.sv"                                             
    dict set design_files "alt_xcvr_pll_avmm_csr.sv"                                               "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/alt_xcvr_pll_avmm_csr.sv"                                                   
    dict set design_files "alt_xcvr_resync.sv"                                                     "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/alt_xcvr_resync.sv"                                                         
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                        
    dict set design_files "pcie_example_design_DUT_altera_xcvr_fpll_s10_htile_191_waso37a.sv"      "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_fpll_s10_htile_191_waso37a.sv"          
    dict set design_files "alt_xcvr_pll_rcfg_opt_logic_waso37a.sv"                                 "$QSYS_SIMDIR/../altera_xcvr_fpll_s10_htile_191/sim/alt_xcvr_pll_rcfg_opt_logic_waso37a.sv"                                     
    dict set design_files "fpll_g3.v"                                                              "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/fpll_g3.v"                                                                             
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/altera_std_synchronizer_nocut.v"                                         
    dict set design_files "alt_xcvr_resync.sv"                                                     "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/alt_xcvr_resync.sv"                                                      
    dict set design_files "alt_xcvr_arbiter.sv"                                                    "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/alt_xcvr_arbiter.sv"                                                     
    dict set design_files "s10_avmm_h.sv"                                                          "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/s10_avmm_h.sv"                                                           
    dict set design_files "alt_xcvr_native_anlg_reset_seq.sv"                                      "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/alt_xcvr_native_anlg_reset_seq.sv"                                       
    dict set design_files "alt_xcvr_pll_rcfg_arb.sv"                                               "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/alt_xcvr_pll_rcfg_arb.sv"                                                
    dict set design_files "alt_xcvr_pll_embedded_debug.sv"                                         "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/alt_xcvr_pll_embedded_debug.sv"                                          
    dict set design_files "alt_xcvr_pll_avmm_csr.sv"                                               "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/alt_xcvr_pll_avmm_csr.sv"                                                
    dict set design_files "pcie_example_design_DUT_altera_xcvr_atx_pll_s10_htile_191_2nlct2y.sv"   "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/pcie_example_design_DUT_altera_xcvr_atx_pll_s10_htile_191_2nlct2y.sv"    
    dict set design_files "alt_xcvr_pll_rcfg_opt_logic_2nlct2y.sv"                                 "$QSYS_SIMDIR/../altera_xcvr_atx_pll_s10_htile_191/sim/alt_xcvr_pll_rcfg_opt_logic_2nlct2y.sv"                                  
    dict set design_files "lcpll_g3xn.v"                                                           "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/lcpll_g3xn.v"                                                                          
    dict set design_files "pcie_example_design_DUT_altera_iopll_191_sf3psui.vo"                    "$QSYS_SIMDIR/../altera_iopll_191/sim/pcie_example_design_DUT_altera_iopll_191_sf3psui.vo"                                      
    dict set design_files "stratix10_altera_iopll.v"                                               "$QSYS_SIMDIR/../altera_iopll_191/sim/stratix10_altera_iopll.v"                                                                 
    dict set design_files "altera_ep_g3x16_avst512_io_pll_s10.v"                                   "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_ep_g3x16_avst512_io_pll_s10.v"                                                  
    dict set design_files "intel_pcie_s10_avmm_bridge_512.sv"                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/intel_pcie_s10_avmm_bridge_512.sv"                                                     
    dict set design_files "intel_pcie_rddm.sv"                                                     "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_rddm/intel_pcie_rddm.sv"                                      
    dict set design_files "intel_pcie_rddm_desc_preproc.sv"                                        "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_rddm/intel_pcie_rddm_desc_preproc.sv"                         
    dict set design_files "intel_pcie_rddm_desc_queue.sv"                                          "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_rddm/intel_pcie_rddm_desc_queue.sv"                           
    dict set design_files "intel_pcie_rddm_cpl.sv"                                                 "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_rddm/intel_pcie_rddm_cpl.sv"                                  
    dict set design_files "intel_pcie_rddm_header_gen.sv"                                          "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_rddm/intel_pcie_rddm_header_gen.sv"                           
    dict set design_files "intel_pcie_avmm_translator_512.sv"                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_avmm_translator_512.sv"                       
    dict set design_files "intel_pcie_60bit_adder.sv"                                              "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_60bit_adder.sv"                               
    dict set design_files "intel_pcie_pipelined_57_6_adder.sv"                                     "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_pipelined_57_6_adder.sv"                      
    dict set design_files "intel_pcie_write_data_mover_512.sv"                                     "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_write_data_mover_512.sv"                      
    dict set design_files "intel_pcie_wdm_input_stage_512.sv"                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_wdm_input_stage_512.sv"                       
    dict set design_files "intel_pcie_wdm_destn_address_generator.sv"                              "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_wdm_destn_address_generator.sv"               
    dict set design_files "intel_pcie_shallow_fifo.sv"                                             "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_shallow_fifo.sv"                              
    dict set design_files "intel_pcie_wdm_avmm_sm_512.sv"                                          "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_wdm_avmm_sm_512.sv"                           
    dict set design_files "intel_pcie_wdm_packet_generator_512.sv"                                 "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_wdm_packet_generator_512.sv"                  
    dict set design_files "intel_pcie_62bit_adder.sv"                                              "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_62bit_adder.sv"                               
    dict set design_files "intel_pcie_sclkfifo.sv"                                                 "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_sclkfifo.sv"                                  
    dict set design_files "intel_pcie_wdm_data_aligner.sv"                                         "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_wrdm/intel_pcie_wdm_data_aligner.sv"                          
    dict set design_files "intel_pcie_bas.sv"                                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_bas/intel_pcie_bas.sv"                                        
    dict set design_files "intel_pcie_bam.sv"                                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_bam/intel_pcie_bam.sv"                                        
    dict set design_files "intel_pcie_bam_avmm_intf.sv"                                            "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_bam/intel_pcie_bam_avmm_intf.sv"                              
    dict set design_files "intel_pcie_bam_cpl.sv"                                                  "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_bam/intel_pcie_bam_cpl.sv"                                    
    dict set design_files "intel_pcie_bam_fifos.sv"                                                "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_bam/intel_pcie_bam_fifos.sv"                                  
    dict set design_files "intel_pcie_bam_rw.sv"                                                   "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_bam/intel_pcie_bam_rw.sv"                                     
    dict set design_files "intel_pcie_bam_sch_intf.sv"                                             "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_bam/intel_pcie_bam_sch_intf.sv"                               
    dict set design_files "intel_pcie_cs.sv"                                                       "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_cs/intel_pcie_cs.sv"                                          
    dict set design_files "intel_pcie_schd.sv"                                                     "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/intel_pcie_schd.sv"                                      
    dict set design_files "intel_pcie_schd_rx.sv"                                                  "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx.sv"                                
    dict set design_files "intel_pcie_schd_rx_cdt_handler.sv"                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_cdt_handler.sv"                    
    dict set design_files "intel_pcie_schd_rx_ibuf.sv"                                             "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_ibuf.sv"                           
    dict set design_files "intel_pcie_schd_rx_ibuf_rd_dns.sv"                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_ibuf_rd_dns.sv"                    
    dict set design_files "intel_pcie_schd_rx_obuf_order_mngr.sv"                                  "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_obuf_order_mngr.sv"                
    dict set design_files "intel_pcie_schd_rx_parser.sv"                                           "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_parser.sv"                         
    dict set design_files "intel_pcie_schd_rx_bam_cdt_checker.sv"                                  "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_bam_cdt_checker.sv"                
    dict set design_files "intel_pcie_schd_rx_delay.sv"                                            "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_delay.sv"                          
    dict set design_files "intel_pcie_schd_rx_ibuf_order_mngr.sv"                                  "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_ibuf_order_mngr.sv"                
    dict set design_files "intel_pcie_schd_rx_obuf.sv"                                             "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_obuf.sv"                           
    dict set design_files "intel_pcie_schd_rx_p_np_arb.sv"                                         "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_p_np_arb.sv"                       
    dict set design_files "intel_pcie_schd_rx_stream.sv"                                           "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/rx/intel_pcie_schd_rx_stream.sv"                         
    dict set design_files "intel_pcie_schd_tx.sv"                                                  "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx.sv"                                
    dict set design_files "intel_pcie_schd_tx_np_obuf.sv"                                          "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_np_obuf.sv"                        
    dict set design_files "intel_pcie_schd_tx_pc_ibuf.sv"                                          "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_pc_ibuf.sv"                        
    dict set design_files "intel_pcie_schd_tx_pc_order_mngr.sv"                                    "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_pc_order_mngr.sv"                  
    dict set design_files "intel_pcie_schd_tx_pc_packer.sv"                                        "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_pc_packer.sv"                      
    dict set design_files "intel_pcie_schd_tx_cdt_checker.sv"                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_cdt_checker.sv"                    
    dict set design_files "intel_pcie_schd_tx_np_order_mngr.sv"                                    "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_np_order_mngr.sv"                  
    dict set design_files "intel_pcie_schd_tx_pc_np_arb.sv"                                        "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_pc_np_arb.sv"                      
    dict set design_files "intel_pcie_schd_tx_pc_order_mngr_rd.sv"                                 "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_pc_order_mngr_rd.sv"               
    dict set design_files "intel_pcie_schd_tx_seg_packer_4_to_2.sv"                                "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_seg_packer_4_to_2.sv"              
    dict set design_files "intel_pcie_schd_tx_invalidator.sv"                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_invalidator.sv"                    
    dict set design_files "intel_pcie_schd_tx_np_packer.sv"                                        "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_np_packer.sv"                      
    dict set design_files "intel_pcie_schd_tx_pc_obuf.sv"                                          "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_pc_obuf.sv"                        
    dict set design_files "intel_pcie_schd_tx_pc_order_mngr_wr.sv"                                 "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/tx/intel_pcie_schd_tx_pc_order_mngr_wr.sv"               
    dict set design_files "intel_pcie_schd_order.sv"                                               "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/common/intel_pcie_schd_order.sv"                         
    dict set design_files "intel_pcie_schd_piped_empty_calc.sv"                                    "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/common/intel_pcie_schd_piped_empty_calc.sv"              
    dict set design_files "intel_pcie_schd_scfifo.sv"                                              "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_schd/common/intel_pcie_schd_scfifo.sv"                        
    dict set design_files "intel_pcie_order.sv"                                                    "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_reordering/intel_pcie_order.sv"                               
    dict set design_files "intel_pcie_order_buffer.sv"                                             "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_reordering/intel_pcie_order_buffer.sv"                        
    dict set design_files "intel_pcie_order_read.sv"                                               "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_reordering/intel_pcie_order_read.sv"                          
    dict set design_files "intel_pcie_order_rifo.sv"                                               "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_reordering/intel_pcie_order_rifo.sv"                          
    dict set design_files "intel_pcie_order_write.sv"                                              "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_reordering/intel_pcie_order_write.sv"                         
    dict set design_files "intel_pcie_completion_checker.sv"                                       "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_completion/intel_pcie_completion_checker.sv"                  
    dict set design_files "intel_pcie_completion_timeout_detection.sv"                             "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_completion/intel_pcie_completion_timeout_detection.sv"        
    dict set design_files "intel_pcie_completion_timeout_detector.sv"                              "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_completion/intel_pcie_completion_timeout_detector.sv"         
    dict set design_files "intel_pcie_completion_missing_detection.sv"                             "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_completion/intel_pcie_completion_missing_detection.sv"        
    dict set design_files "intel_pcie_completion_error_handling.sv"                                "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_completion/intel_pcie_completion_error_handling.sv"           
    dict set design_files "intel_pcie_config_extractor.sv"                                         "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_completion/intel_pcie_config_extractor.sv"                    
    dict set design_files "intel_pcie_2x256s2e_adptr.sv"                                           "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/s10/intel_pcie_2x256s2e_adptr.sv"                                             
    dict set design_files "intel_pcie_2x256_adptr.sv"                                              "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/s10/intel_pcie_2x256_adptr.sv"                                                
    dict set design_files "intel_pcie_2x256e2s_adptr.sv"                                           "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/s10/intel_pcie_2x256e2s_adptr.sv"                                             
    dict set design_files "intel_pcie_2x256s2e_timing_adapter.sv"                                  "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/s10/intel_pcie_2x256s2e_timing_adapter.sv"                                    
    dict set design_files "intel_pcie_s10_intrapkt_pack.sv"                                        "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/s10/intel_pcie_s10_intrapkt_pack.sv"                                          
    dict set design_files "intel_pcie_s10_crete_whr_cdt_converter.sv"                              "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/s10/intel_pcie_s10_crete_whr_cdt_converter.sv"                                
    dict set design_files "intel_pcie_lut_ram.sv"                                                  "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_common/intel_pcie_lut_ram.sv"                                 
    dict set design_files "intel_pcie_ram.sv"                                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_common/intel_pcie_ram.sv"                                     
    dict set design_files "intel_pcie_scfifo.sv"                                                   "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_common/intel_pcie_scfifo.sv"                                  
    dict set design_files "intel_pcie_scfifo_32.sv"                                                "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_common/intel_pcie_scfifo_32.sv"                               
    dict set design_files "intel_pcie_set_clr_rd.sv"                                               "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/avmm_bridge_512_common/intel_pcie_set_clr_rd.sv"                              
    dict set design_files "intel_pcie_avmm_bridge_512_dcore.sv"                                    "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/synopsys/intel_pcie_avmm_bridge_512_dcore.sv"                                          
    dict set design_files "altera_pcie_s10_hip_ast.v"                                              "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_hip_ast.v"                                                             
    dict set design_files "altera_pcie_s10_hip_ast_pipen1b.v"                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_hip_ast_pipen1b.v"                                                     
    dict set design_files "altera_pcie_s10_hip_ast_pllnphy.v"                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_hip_ast_pllnphy.v"                                                     
    dict set design_files "altera_pcie_s10_reset_delay_sync.v"                                     "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_reset_delay_sync.v"                                                    
    dict set design_files "altera_pcie_s10_sc_bitsync.v"                                           "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_sc_bitsync.v"                                                          
    dict set design_files "altera_std_synchronizer_nocut.v"                                        "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_std_synchronizer_nocut.v"                                                       
    dict set design_files "altera_pcie_s10_gen3x16_adapter.sv"                                     "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_adapter.sv"                                                    
    dict set design_files "altera_pcie_s10_gen3x16_cfg_if.sv"                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_cfg_if.sv"                                                     
    dict set design_files "altera_pcie_s10_gen3x16_credit_if.sv"                                   "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_credit_if.sv"                                                  
    dict set design_files "altera_pcie_s10_gen3x16_err_if.sv"                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_err_if.sv"                                                     
    dict set design_files "altera_pcie_s10_gen3x16_misc_if.sv"                                     "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_misc_if.sv"                                                    
    dict set design_files "altera_pcie_s10_gen3x16_rx_st_if.sv"                                    "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_rx_st_if.sv"                                                   
    dict set design_files "alt_mlab.v"                                                             "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/alt_mlab.v"                                                                            
    dict set design_files "sync_bit.v"                                                             "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/sync_bit.v"                                                                            
    dict set design_files "sync_pulse.v"                                                           "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/sync_pulse.v"                                                                          
    dict set design_files "sync_rst_n.v"                                                           "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/sync_rst_n.v"                                                                          
    dict set design_files "sync_vec.v"                                                             "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/sync_vec.v"                                                                            
    dict set design_files "altera_pcie_s10_gen3x16_dcfifo.sv"                                      "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_dcfifo.sv"                                                     
    dict set design_files "altera_pcie_s10_gen3x16_gpx3.sv"                                        "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_gpx3.sv"                                                       
    dict set design_files "altera_pcie_s10_gen3x16_tx_st_if.sv"                                    "$QSYS_SIMDIR/../avmm_bridge_512_191/sim/altera_pcie_s10_gen3x16_tx_st_if.sv"                                                   
    dict set design_files "pcie_example_design_DUT.v"                                              "$QSYS_SIMDIR/pcie_example_design_DUT.v"                                                                                        
    return $design_files
  }
  
  proc get_elab_options {SIMULATOR_TOOL_BITNESS} {
    set ELAB_OPTIONS ""
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ELAB_OPTIONS
  }
  
  
  proc get_sim_options {SIMULATOR_TOOL_BITNESS} {
    set SIM_OPTIONS ""
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $SIM_OPTIONS
  }
  
  
  proc get_env_variables {SIMULATOR_TOOL_BITNESS} {
    set ENV_VARIABLES [dict create]
    set LD_LIBRARY_PATH [dict create]
    dict set ENV_VARIABLES "LD_LIBRARY_PATH" $LD_LIBRARY_PATH
    if ![ string match "bit_64" $SIMULATOR_TOOL_BITNESS ] {
    } else {
    }
    return $ENV_VARIABLES
  }
  
  
}
