module pcie_example_design (
		input  wire        refclk_clk,                              //        refclk.clk
		input  wire        pcie_rstn_npor,                          //     pcie_rstn.npor
		input  wire        pcie_rstn_pin_perst,                     //              .pin_perst
		input  wire        hip_ctrl_simu_mode_pipe,                 //      hip_ctrl.simu_mode_pipe
		input  wire [66:0] hip_ctrl_test_in,                        //              .test_in
		input  wire        pipe_sim_only_sim_pipe_pclk_in,          // pipe_sim_only.sim_pipe_pclk_in
		output wire [1:0]  pipe_sim_only_sim_pipe_rate,             //              .sim_pipe_rate
		output wire [5:0]  pipe_sim_only_sim_ltssmstate,            //              .sim_ltssmstate
		output wire [31:0] pipe_sim_only_txdata0,                   //              .txdata0
		output wire [31:0] pipe_sim_only_txdata1,                   //              .txdata1
		output wire [31:0] pipe_sim_only_txdata2,                   //              .txdata2
		output wire [31:0] pipe_sim_only_txdata3,                   //              .txdata3
		output wire [31:0] pipe_sim_only_txdata4,                   //              .txdata4
		output wire [31:0] pipe_sim_only_txdata5,                   //              .txdata5
		output wire [31:0] pipe_sim_only_txdata6,                   //              .txdata6
		output wire [31:0] pipe_sim_only_txdata7,                   //              .txdata7
		output wire [31:0] pipe_sim_only_txdata8,                   //              .txdata8
		output wire [31:0] pipe_sim_only_txdata9,                   //              .txdata9
		output wire [31:0] pipe_sim_only_txdata10,                  //              .txdata10
		output wire [31:0] pipe_sim_only_txdata11,                  //              .txdata11
		output wire [31:0] pipe_sim_only_txdata12,                  //              .txdata12
		output wire [31:0] pipe_sim_only_txdata13,                  //              .txdata13
		output wire [31:0] pipe_sim_only_txdata14,                  //              .txdata14
		output wire [31:0] pipe_sim_only_txdata15,                  //              .txdata15
		output wire [3:0]  pipe_sim_only_txdatak0,                  //              .txdatak0
		output wire [3:0]  pipe_sim_only_txdatak1,                  //              .txdatak1
		output wire [3:0]  pipe_sim_only_txdatak2,                  //              .txdatak2
		output wire [3:0]  pipe_sim_only_txdatak3,                  //              .txdatak3
		output wire [3:0]  pipe_sim_only_txdatak4,                  //              .txdatak4
		output wire [3:0]  pipe_sim_only_txdatak5,                  //              .txdatak5
		output wire [3:0]  pipe_sim_only_txdatak6,                  //              .txdatak6
		output wire [3:0]  pipe_sim_only_txdatak7,                  //              .txdatak7
		output wire [3:0]  pipe_sim_only_txdatak8,                  //              .txdatak8
		output wire [3:0]  pipe_sim_only_txdatak9,                  //              .txdatak9
		output wire [3:0]  pipe_sim_only_txdatak10,                 //              .txdatak10
		output wire [3:0]  pipe_sim_only_txdatak11,                 //              .txdatak11
		output wire [3:0]  pipe_sim_only_txdatak12,                 //              .txdatak12
		output wire [3:0]  pipe_sim_only_txdatak13,                 //              .txdatak13
		output wire [3:0]  pipe_sim_only_txdatak14,                 //              .txdatak14
		output wire [3:0]  pipe_sim_only_txdatak15,                 //              .txdatak15
		output wire        pipe_sim_only_txcompl0,                  //              .txcompl0
		output wire        pipe_sim_only_txcompl1,                  //              .txcompl1
		output wire        pipe_sim_only_txcompl2,                  //              .txcompl2
		output wire        pipe_sim_only_txcompl3,                  //              .txcompl3
		output wire        pipe_sim_only_txcompl4,                  //              .txcompl4
		output wire        pipe_sim_only_txcompl5,                  //              .txcompl5
		output wire        pipe_sim_only_txcompl6,                  //              .txcompl6
		output wire        pipe_sim_only_txcompl7,                  //              .txcompl7
		output wire        pipe_sim_only_txcompl8,                  //              .txcompl8
		output wire        pipe_sim_only_txcompl9,                  //              .txcompl9
		output wire        pipe_sim_only_txcompl10,                 //              .txcompl10
		output wire        pipe_sim_only_txcompl11,                 //              .txcompl11
		output wire        pipe_sim_only_txcompl12,                 //              .txcompl12
		output wire        pipe_sim_only_txcompl13,                 //              .txcompl13
		output wire        pipe_sim_only_txcompl14,                 //              .txcompl14
		output wire        pipe_sim_only_txcompl15,                 //              .txcompl15
		output wire        pipe_sim_only_txelecidle0,               //              .txelecidle0
		output wire        pipe_sim_only_txelecidle1,               //              .txelecidle1
		output wire        pipe_sim_only_txelecidle2,               //              .txelecidle2
		output wire        pipe_sim_only_txelecidle3,               //              .txelecidle3
		output wire        pipe_sim_only_txelecidle4,               //              .txelecidle4
		output wire        pipe_sim_only_txelecidle5,               //              .txelecidle5
		output wire        pipe_sim_only_txelecidle6,               //              .txelecidle6
		output wire        pipe_sim_only_txelecidle7,               //              .txelecidle7
		output wire        pipe_sim_only_txelecidle8,               //              .txelecidle8
		output wire        pipe_sim_only_txelecidle9,               //              .txelecidle9
		output wire        pipe_sim_only_txelecidle10,              //              .txelecidle10
		output wire        pipe_sim_only_txelecidle11,              //              .txelecidle11
		output wire        pipe_sim_only_txelecidle12,              //              .txelecidle12
		output wire        pipe_sim_only_txelecidle13,              //              .txelecidle13
		output wire        pipe_sim_only_txelecidle14,              //              .txelecidle14
		output wire        pipe_sim_only_txelecidle15,              //              .txelecidle15
		output wire        pipe_sim_only_txdetectrx0,               //              .txdetectrx0
		output wire        pipe_sim_only_txdetectrx1,               //              .txdetectrx1
		output wire        pipe_sim_only_txdetectrx2,               //              .txdetectrx2
		output wire        pipe_sim_only_txdetectrx3,               //              .txdetectrx3
		output wire        pipe_sim_only_txdetectrx4,               //              .txdetectrx4
		output wire        pipe_sim_only_txdetectrx5,               //              .txdetectrx5
		output wire        pipe_sim_only_txdetectrx6,               //              .txdetectrx6
		output wire        pipe_sim_only_txdetectrx7,               //              .txdetectrx7
		output wire        pipe_sim_only_txdetectrx8,               //              .txdetectrx8
		output wire        pipe_sim_only_txdetectrx9,               //              .txdetectrx9
		output wire        pipe_sim_only_txdetectrx10,              //              .txdetectrx10
		output wire        pipe_sim_only_txdetectrx11,              //              .txdetectrx11
		output wire        pipe_sim_only_txdetectrx12,              //              .txdetectrx12
		output wire        pipe_sim_only_txdetectrx13,              //              .txdetectrx13
		output wire        pipe_sim_only_txdetectrx14,              //              .txdetectrx14
		output wire        pipe_sim_only_txdetectrx15,              //              .txdetectrx15
		output wire [1:0]  pipe_sim_only_powerdown0,                //              .powerdown0
		output wire [1:0]  pipe_sim_only_powerdown1,                //              .powerdown1
		output wire [1:0]  pipe_sim_only_powerdown2,                //              .powerdown2
		output wire [1:0]  pipe_sim_only_powerdown3,                //              .powerdown3
		output wire [1:0]  pipe_sim_only_powerdown4,                //              .powerdown4
		output wire [1:0]  pipe_sim_only_powerdown5,                //              .powerdown5
		output wire [1:0]  pipe_sim_only_powerdown6,                //              .powerdown6
		output wire [1:0]  pipe_sim_only_powerdown7,                //              .powerdown7
		output wire [1:0]  pipe_sim_only_powerdown8,                //              .powerdown8
		output wire [1:0]  pipe_sim_only_powerdown9,                //              .powerdown9
		output wire [1:0]  pipe_sim_only_powerdown10,               //              .powerdown10
		output wire [1:0]  pipe_sim_only_powerdown11,               //              .powerdown11
		output wire [1:0]  pipe_sim_only_powerdown12,               //              .powerdown12
		output wire [1:0]  pipe_sim_only_powerdown13,               //              .powerdown13
		output wire [1:0]  pipe_sim_only_powerdown14,               //              .powerdown14
		output wire [1:0]  pipe_sim_only_powerdown15,               //              .powerdown15
		output wire [2:0]  pipe_sim_only_txmargin0,                 //              .txmargin0
		output wire [2:0]  pipe_sim_only_txmargin1,                 //              .txmargin1
		output wire [2:0]  pipe_sim_only_txmargin2,                 //              .txmargin2
		output wire [2:0]  pipe_sim_only_txmargin3,                 //              .txmargin3
		output wire [2:0]  pipe_sim_only_txmargin4,                 //              .txmargin4
		output wire [2:0]  pipe_sim_only_txmargin5,                 //              .txmargin5
		output wire [2:0]  pipe_sim_only_txmargin6,                 //              .txmargin6
		output wire [2:0]  pipe_sim_only_txmargin7,                 //              .txmargin7
		output wire [2:0]  pipe_sim_only_txmargin8,                 //              .txmargin8
		output wire [2:0]  pipe_sim_only_txmargin9,                 //              .txmargin9
		output wire [2:0]  pipe_sim_only_txmargin10,                //              .txmargin10
		output wire [2:0]  pipe_sim_only_txmargin11,                //              .txmargin11
		output wire [2:0]  pipe_sim_only_txmargin12,                //              .txmargin12
		output wire [2:0]  pipe_sim_only_txmargin13,                //              .txmargin13
		output wire [2:0]  pipe_sim_only_txmargin14,                //              .txmargin14
		output wire [2:0]  pipe_sim_only_txmargin15,                //              .txmargin15
		output wire        pipe_sim_only_txdeemph0,                 //              .txdeemph0
		output wire        pipe_sim_only_txdeemph1,                 //              .txdeemph1
		output wire        pipe_sim_only_txdeemph2,                 //              .txdeemph2
		output wire        pipe_sim_only_txdeemph3,                 //              .txdeemph3
		output wire        pipe_sim_only_txdeemph4,                 //              .txdeemph4
		output wire        pipe_sim_only_txdeemph5,                 //              .txdeemph5
		output wire        pipe_sim_only_txdeemph6,                 //              .txdeemph6
		output wire        pipe_sim_only_txdeemph7,                 //              .txdeemph7
		output wire        pipe_sim_only_txdeemph8,                 //              .txdeemph8
		output wire        pipe_sim_only_txdeemph9,                 //              .txdeemph9
		output wire        pipe_sim_only_txdeemph10,                //              .txdeemph10
		output wire        pipe_sim_only_txdeemph11,                //              .txdeemph11
		output wire        pipe_sim_only_txdeemph12,                //              .txdeemph12
		output wire        pipe_sim_only_txdeemph13,                //              .txdeemph13
		output wire        pipe_sim_only_txdeemph14,                //              .txdeemph14
		output wire        pipe_sim_only_txdeemph15,                //              .txdeemph15
		output wire        pipe_sim_only_txswing0,                  //              .txswing0
		output wire        pipe_sim_only_txswing1,                  //              .txswing1
		output wire        pipe_sim_only_txswing2,                  //              .txswing2
		output wire        pipe_sim_only_txswing3,                  //              .txswing3
		output wire        pipe_sim_only_txswing4,                  //              .txswing4
		output wire        pipe_sim_only_txswing5,                  //              .txswing5
		output wire        pipe_sim_only_txswing6,                  //              .txswing6
		output wire        pipe_sim_only_txswing7,                  //              .txswing7
		output wire        pipe_sim_only_txswing8,                  //              .txswing8
		output wire        pipe_sim_only_txswing9,                  //              .txswing9
		output wire        pipe_sim_only_txswing10,                 //              .txswing10
		output wire        pipe_sim_only_txswing11,                 //              .txswing11
		output wire        pipe_sim_only_txswing12,                 //              .txswing12
		output wire        pipe_sim_only_txswing13,                 //              .txswing13
		output wire        pipe_sim_only_txswing14,                 //              .txswing14
		output wire        pipe_sim_only_txswing15,                 //              .txswing15
		output wire [1:0]  pipe_sim_only_txsynchd0,                 //              .txsynchd0
		output wire [1:0]  pipe_sim_only_txsynchd1,                 //              .txsynchd1
		output wire [1:0]  pipe_sim_only_txsynchd2,                 //              .txsynchd2
		output wire [1:0]  pipe_sim_only_txsynchd3,                 //              .txsynchd3
		output wire [1:0]  pipe_sim_only_txsynchd4,                 //              .txsynchd4
		output wire [1:0]  pipe_sim_only_txsynchd5,                 //              .txsynchd5
		output wire [1:0]  pipe_sim_only_txsynchd6,                 //              .txsynchd6
		output wire [1:0]  pipe_sim_only_txsynchd7,                 //              .txsynchd7
		output wire [1:0]  pipe_sim_only_txsynchd8,                 //              .txsynchd8
		output wire [1:0]  pipe_sim_only_txsynchd9,                 //              .txsynchd9
		output wire [1:0]  pipe_sim_only_txsynchd10,                //              .txsynchd10
		output wire [1:0]  pipe_sim_only_txsynchd11,                //              .txsynchd11
		output wire [1:0]  pipe_sim_only_txsynchd12,                //              .txsynchd12
		output wire [1:0]  pipe_sim_only_txsynchd13,                //              .txsynchd13
		output wire [1:0]  pipe_sim_only_txsynchd14,                //              .txsynchd14
		output wire [1:0]  pipe_sim_only_txsynchd15,                //              .txsynchd15
		output wire        pipe_sim_only_txblkst0,                  //              .txblkst0
		output wire        pipe_sim_only_txblkst1,                  //              .txblkst1
		output wire        pipe_sim_only_txblkst2,                  //              .txblkst2
		output wire        pipe_sim_only_txblkst3,                  //              .txblkst3
		output wire        pipe_sim_only_txblkst4,                  //              .txblkst4
		output wire        pipe_sim_only_txblkst5,                  //              .txblkst5
		output wire        pipe_sim_only_txblkst6,                  //              .txblkst6
		output wire        pipe_sim_only_txblkst7,                  //              .txblkst7
		output wire        pipe_sim_only_txblkst8,                  //              .txblkst8
		output wire        pipe_sim_only_txblkst9,                  //              .txblkst9
		output wire        pipe_sim_only_txblkst10,                 //              .txblkst10
		output wire        pipe_sim_only_txblkst11,                 //              .txblkst11
		output wire        pipe_sim_only_txblkst12,                 //              .txblkst12
		output wire        pipe_sim_only_txblkst13,                 //              .txblkst13
		output wire        pipe_sim_only_txblkst14,                 //              .txblkst14
		output wire        pipe_sim_only_txblkst15,                 //              .txblkst15
		output wire        pipe_sim_only_txdataskip0,               //              .txdataskip0
		output wire        pipe_sim_only_txdataskip1,               //              .txdataskip1
		output wire        pipe_sim_only_txdataskip2,               //              .txdataskip2
		output wire        pipe_sim_only_txdataskip3,               //              .txdataskip3
		output wire        pipe_sim_only_txdataskip4,               //              .txdataskip4
		output wire        pipe_sim_only_txdataskip5,               //              .txdataskip5
		output wire        pipe_sim_only_txdataskip6,               //              .txdataskip6
		output wire        pipe_sim_only_txdataskip7,               //              .txdataskip7
		output wire        pipe_sim_only_txdataskip8,               //              .txdataskip8
		output wire        pipe_sim_only_txdataskip9,               //              .txdataskip9
		output wire        pipe_sim_only_txdataskip10,              //              .txdataskip10
		output wire        pipe_sim_only_txdataskip11,              //              .txdataskip11
		output wire        pipe_sim_only_txdataskip12,              //              .txdataskip12
		output wire        pipe_sim_only_txdataskip13,              //              .txdataskip13
		output wire        pipe_sim_only_txdataskip14,              //              .txdataskip14
		output wire        pipe_sim_only_txdataskip15,              //              .txdataskip15
		output wire [1:0]  pipe_sim_only_rate0,                     //              .rate0
		output wire [1:0]  pipe_sim_only_rate1,                     //              .rate1
		output wire [1:0]  pipe_sim_only_rate2,                     //              .rate2
		output wire [1:0]  pipe_sim_only_rate3,                     //              .rate3
		output wire [1:0]  pipe_sim_only_rate4,                     //              .rate4
		output wire [1:0]  pipe_sim_only_rate5,                     //              .rate5
		output wire [1:0]  pipe_sim_only_rate6,                     //              .rate6
		output wire [1:0]  pipe_sim_only_rate7,                     //              .rate7
		output wire [1:0]  pipe_sim_only_rate8,                     //              .rate8
		output wire [1:0]  pipe_sim_only_rate9,                     //              .rate9
		output wire [1:0]  pipe_sim_only_rate10,                    //              .rate10
		output wire [1:0]  pipe_sim_only_rate11,                    //              .rate11
		output wire [1:0]  pipe_sim_only_rate12,                    //              .rate12
		output wire [1:0]  pipe_sim_only_rate13,                    //              .rate13
		output wire [1:0]  pipe_sim_only_rate14,                    //              .rate14
		output wire [1:0]  pipe_sim_only_rate15,                    //              .rate15
		output wire        pipe_sim_only_rxpolarity0,               //              .rxpolarity0
		output wire        pipe_sim_only_rxpolarity1,               //              .rxpolarity1
		output wire        pipe_sim_only_rxpolarity2,               //              .rxpolarity2
		output wire        pipe_sim_only_rxpolarity3,               //              .rxpolarity3
		output wire        pipe_sim_only_rxpolarity4,               //              .rxpolarity4
		output wire        pipe_sim_only_rxpolarity5,               //              .rxpolarity5
		output wire        pipe_sim_only_rxpolarity6,               //              .rxpolarity6
		output wire        pipe_sim_only_rxpolarity7,               //              .rxpolarity7
		output wire        pipe_sim_only_rxpolarity8,               //              .rxpolarity8
		output wire        pipe_sim_only_rxpolarity9,               //              .rxpolarity9
		output wire        pipe_sim_only_rxpolarity10,              //              .rxpolarity10
		output wire        pipe_sim_only_rxpolarity11,              //              .rxpolarity11
		output wire        pipe_sim_only_rxpolarity12,              //              .rxpolarity12
		output wire        pipe_sim_only_rxpolarity13,              //              .rxpolarity13
		output wire        pipe_sim_only_rxpolarity14,              //              .rxpolarity14
		output wire        pipe_sim_only_rxpolarity15,              //              .rxpolarity15
		output wire [2:0]  pipe_sim_only_currentrxpreset0,          //              .currentrxpreset0
		output wire [2:0]  pipe_sim_only_currentrxpreset1,          //              .currentrxpreset1
		output wire [2:0]  pipe_sim_only_currentrxpreset2,          //              .currentrxpreset2
		output wire [2:0]  pipe_sim_only_currentrxpreset3,          //              .currentrxpreset3
		output wire [2:0]  pipe_sim_only_currentrxpreset4,          //              .currentrxpreset4
		output wire [2:0]  pipe_sim_only_currentrxpreset5,          //              .currentrxpreset5
		output wire [2:0]  pipe_sim_only_currentrxpreset6,          //              .currentrxpreset6
		output wire [2:0]  pipe_sim_only_currentrxpreset7,          //              .currentrxpreset7
		output wire [2:0]  pipe_sim_only_currentrxpreset8,          //              .currentrxpreset8
		output wire [2:0]  pipe_sim_only_currentrxpreset9,          //              .currentrxpreset9
		output wire [2:0]  pipe_sim_only_currentrxpreset10,         //              .currentrxpreset10
		output wire [2:0]  pipe_sim_only_currentrxpreset11,         //              .currentrxpreset11
		output wire [2:0]  pipe_sim_only_currentrxpreset12,         //              .currentrxpreset12
		output wire [2:0]  pipe_sim_only_currentrxpreset13,         //              .currentrxpreset13
		output wire [2:0]  pipe_sim_only_currentrxpreset14,         //              .currentrxpreset14
		output wire [2:0]  pipe_sim_only_currentrxpreset15,         //              .currentrxpreset15
		output wire [17:0] pipe_sim_only_currentcoeff0,             //              .currentcoeff0
		output wire [17:0] pipe_sim_only_currentcoeff1,             //              .currentcoeff1
		output wire [17:0] pipe_sim_only_currentcoeff2,             //              .currentcoeff2
		output wire [17:0] pipe_sim_only_currentcoeff3,             //              .currentcoeff3
		output wire [17:0] pipe_sim_only_currentcoeff4,             //              .currentcoeff4
		output wire [17:0] pipe_sim_only_currentcoeff5,             //              .currentcoeff5
		output wire [17:0] pipe_sim_only_currentcoeff6,             //              .currentcoeff6
		output wire [17:0] pipe_sim_only_currentcoeff7,             //              .currentcoeff7
		output wire [17:0] pipe_sim_only_currentcoeff8,             //              .currentcoeff8
		output wire [17:0] pipe_sim_only_currentcoeff9,             //              .currentcoeff9
		output wire [17:0] pipe_sim_only_currentcoeff10,            //              .currentcoeff10
		output wire [17:0] pipe_sim_only_currentcoeff11,            //              .currentcoeff11
		output wire [17:0] pipe_sim_only_currentcoeff12,            //              .currentcoeff12
		output wire [17:0] pipe_sim_only_currentcoeff13,            //              .currentcoeff13
		output wire [17:0] pipe_sim_only_currentcoeff14,            //              .currentcoeff14
		output wire [17:0] pipe_sim_only_currentcoeff15,            //              .currentcoeff15
		output wire        pipe_sim_only_rxeqeval0,                 //              .rxeqeval0
		output wire        pipe_sim_only_rxeqeval1,                 //              .rxeqeval1
		output wire        pipe_sim_only_rxeqeval2,                 //              .rxeqeval2
		output wire        pipe_sim_only_rxeqeval3,                 //              .rxeqeval3
		output wire        pipe_sim_only_rxeqeval4,                 //              .rxeqeval4
		output wire        pipe_sim_only_rxeqeval5,                 //              .rxeqeval5
		output wire        pipe_sim_only_rxeqeval6,                 //              .rxeqeval6
		output wire        pipe_sim_only_rxeqeval7,                 //              .rxeqeval7
		output wire        pipe_sim_only_rxeqeval8,                 //              .rxeqeval8
		output wire        pipe_sim_only_rxeqeval9,                 //              .rxeqeval9
		output wire        pipe_sim_only_rxeqeval10,                //              .rxeqeval10
		output wire        pipe_sim_only_rxeqeval11,                //              .rxeqeval11
		output wire        pipe_sim_only_rxeqeval12,                //              .rxeqeval12
		output wire        pipe_sim_only_rxeqeval13,                //              .rxeqeval13
		output wire        pipe_sim_only_rxeqeval14,                //              .rxeqeval14
		output wire        pipe_sim_only_rxeqeval15,                //              .rxeqeval15
		output wire        pipe_sim_only_rxeqinprogress0,           //              .rxeqinprogress0
		output wire        pipe_sim_only_rxeqinprogress1,           //              .rxeqinprogress1
		output wire        pipe_sim_only_rxeqinprogress2,           //              .rxeqinprogress2
		output wire        pipe_sim_only_rxeqinprogress3,           //              .rxeqinprogress3
		output wire        pipe_sim_only_rxeqinprogress4,           //              .rxeqinprogress4
		output wire        pipe_sim_only_rxeqinprogress5,           //              .rxeqinprogress5
		output wire        pipe_sim_only_rxeqinprogress6,           //              .rxeqinprogress6
		output wire        pipe_sim_only_rxeqinprogress7,           //              .rxeqinprogress7
		output wire        pipe_sim_only_rxeqinprogress8,           //              .rxeqinprogress8
		output wire        pipe_sim_only_rxeqinprogress9,           //              .rxeqinprogress9
		output wire        pipe_sim_only_rxeqinprogress10,          //              .rxeqinprogress10
		output wire        pipe_sim_only_rxeqinprogress11,          //              .rxeqinprogress11
		output wire        pipe_sim_only_rxeqinprogress12,          //              .rxeqinprogress12
		output wire        pipe_sim_only_rxeqinprogress13,          //              .rxeqinprogress13
		output wire        pipe_sim_only_rxeqinprogress14,          //              .rxeqinprogress14
		output wire        pipe_sim_only_rxeqinprogress15,          //              .rxeqinprogress15
		output wire        pipe_sim_only_invalidreq0,               //              .invalidreq0
		output wire        pipe_sim_only_invalidreq1,               //              .invalidreq1
		output wire        pipe_sim_only_invalidreq2,               //              .invalidreq2
		output wire        pipe_sim_only_invalidreq3,               //              .invalidreq3
		output wire        pipe_sim_only_invalidreq4,               //              .invalidreq4
		output wire        pipe_sim_only_invalidreq5,               //              .invalidreq5
		output wire        pipe_sim_only_invalidreq6,               //              .invalidreq6
		output wire        pipe_sim_only_invalidreq7,               //              .invalidreq7
		output wire        pipe_sim_only_invalidreq8,               //              .invalidreq8
		output wire        pipe_sim_only_invalidreq9,               //              .invalidreq9
		output wire        pipe_sim_only_invalidreq10,              //              .invalidreq10
		output wire        pipe_sim_only_invalidreq11,              //              .invalidreq11
		output wire        pipe_sim_only_invalidreq12,              //              .invalidreq12
		output wire        pipe_sim_only_invalidreq13,              //              .invalidreq13
		output wire        pipe_sim_only_invalidreq14,              //              .invalidreq14
		output wire        pipe_sim_only_invalidreq15,              //              .invalidreq15
		input  wire [31:0] pipe_sim_only_rxdata0,                   //              .rxdata0
		input  wire [31:0] pipe_sim_only_rxdata1,                   //              .rxdata1
		input  wire [31:0] pipe_sim_only_rxdata2,                   //              .rxdata2
		input  wire [31:0] pipe_sim_only_rxdata3,                   //              .rxdata3
		input  wire [31:0] pipe_sim_only_rxdata4,                   //              .rxdata4
		input  wire [31:0] pipe_sim_only_rxdata5,                   //              .rxdata5
		input  wire [31:0] pipe_sim_only_rxdata6,                   //              .rxdata6
		input  wire [31:0] pipe_sim_only_rxdata7,                   //              .rxdata7
		input  wire [31:0] pipe_sim_only_rxdata8,                   //              .rxdata8
		input  wire [31:0] pipe_sim_only_rxdata9,                   //              .rxdata9
		input  wire [31:0] pipe_sim_only_rxdata10,                  //              .rxdata10
		input  wire [31:0] pipe_sim_only_rxdata11,                  //              .rxdata11
		input  wire [31:0] pipe_sim_only_rxdata12,                  //              .rxdata12
		input  wire [31:0] pipe_sim_only_rxdata13,                  //              .rxdata13
		input  wire [31:0] pipe_sim_only_rxdata14,                  //              .rxdata14
		input  wire [31:0] pipe_sim_only_rxdata15,                  //              .rxdata15
		input  wire [3:0]  pipe_sim_only_rxdatak0,                  //              .rxdatak0
		input  wire [3:0]  pipe_sim_only_rxdatak1,                  //              .rxdatak1
		input  wire [3:0]  pipe_sim_only_rxdatak2,                  //              .rxdatak2
		input  wire [3:0]  pipe_sim_only_rxdatak3,                  //              .rxdatak3
		input  wire [3:0]  pipe_sim_only_rxdatak4,                  //              .rxdatak4
		input  wire [3:0]  pipe_sim_only_rxdatak5,                  //              .rxdatak5
		input  wire [3:0]  pipe_sim_only_rxdatak6,                  //              .rxdatak6
		input  wire [3:0]  pipe_sim_only_rxdatak7,                  //              .rxdatak7
		input  wire [3:0]  pipe_sim_only_rxdatak8,                  //              .rxdatak8
		input  wire [3:0]  pipe_sim_only_rxdatak9,                  //              .rxdatak9
		input  wire [3:0]  pipe_sim_only_rxdatak10,                 //              .rxdatak10
		input  wire [3:0]  pipe_sim_only_rxdatak11,                 //              .rxdatak11
		input  wire [3:0]  pipe_sim_only_rxdatak12,                 //              .rxdatak12
		input  wire [3:0]  pipe_sim_only_rxdatak13,                 //              .rxdatak13
		input  wire [3:0]  pipe_sim_only_rxdatak14,                 //              .rxdatak14
		input  wire [3:0]  pipe_sim_only_rxdatak15,                 //              .rxdatak15
		input  wire        pipe_sim_only_phystatus0,                //              .phystatus0
		input  wire        pipe_sim_only_phystatus1,                //              .phystatus1
		input  wire        pipe_sim_only_phystatus2,                //              .phystatus2
		input  wire        pipe_sim_only_phystatus3,                //              .phystatus3
		input  wire        pipe_sim_only_phystatus4,                //              .phystatus4
		input  wire        pipe_sim_only_phystatus5,                //              .phystatus5
		input  wire        pipe_sim_only_phystatus6,                //              .phystatus6
		input  wire        pipe_sim_only_phystatus7,                //              .phystatus7
		input  wire        pipe_sim_only_phystatus8,                //              .phystatus8
		input  wire        pipe_sim_only_phystatus9,                //              .phystatus9
		input  wire        pipe_sim_only_phystatus10,               //              .phystatus10
		input  wire        pipe_sim_only_phystatus11,               //              .phystatus11
		input  wire        pipe_sim_only_phystatus12,               //              .phystatus12
		input  wire        pipe_sim_only_phystatus13,               //              .phystatus13
		input  wire        pipe_sim_only_phystatus14,               //              .phystatus14
		input  wire        pipe_sim_only_phystatus15,               //              .phystatus15
		input  wire        pipe_sim_only_rxvalid0,                  //              .rxvalid0
		input  wire        pipe_sim_only_rxvalid1,                  //              .rxvalid1
		input  wire        pipe_sim_only_rxvalid2,                  //              .rxvalid2
		input  wire        pipe_sim_only_rxvalid3,                  //              .rxvalid3
		input  wire        pipe_sim_only_rxvalid4,                  //              .rxvalid4
		input  wire        pipe_sim_only_rxvalid5,                  //              .rxvalid5
		input  wire        pipe_sim_only_rxvalid6,                  //              .rxvalid6
		input  wire        pipe_sim_only_rxvalid7,                  //              .rxvalid7
		input  wire        pipe_sim_only_rxvalid8,                  //              .rxvalid8
		input  wire        pipe_sim_only_rxvalid9,                  //              .rxvalid9
		input  wire        pipe_sim_only_rxvalid10,                 //              .rxvalid10
		input  wire        pipe_sim_only_rxvalid11,                 //              .rxvalid11
		input  wire        pipe_sim_only_rxvalid12,                 //              .rxvalid12
		input  wire        pipe_sim_only_rxvalid13,                 //              .rxvalid13
		input  wire        pipe_sim_only_rxvalid14,                 //              .rxvalid14
		input  wire        pipe_sim_only_rxvalid15,                 //              .rxvalid15
		input  wire [2:0]  pipe_sim_only_rxstatus0,                 //              .rxstatus0
		input  wire [2:0]  pipe_sim_only_rxstatus1,                 //              .rxstatus1
		input  wire [2:0]  pipe_sim_only_rxstatus2,                 //              .rxstatus2
		input  wire [2:0]  pipe_sim_only_rxstatus3,                 //              .rxstatus3
		input  wire [2:0]  pipe_sim_only_rxstatus4,                 //              .rxstatus4
		input  wire [2:0]  pipe_sim_only_rxstatus5,                 //              .rxstatus5
		input  wire [2:0]  pipe_sim_only_rxstatus6,                 //              .rxstatus6
		input  wire [2:0]  pipe_sim_only_rxstatus7,                 //              .rxstatus7
		input  wire [2:0]  pipe_sim_only_rxstatus8,                 //              .rxstatus8
		input  wire [2:0]  pipe_sim_only_rxstatus9,                 //              .rxstatus9
		input  wire [2:0]  pipe_sim_only_rxstatus10,                //              .rxstatus10
		input  wire [2:0]  pipe_sim_only_rxstatus11,                //              .rxstatus11
		input  wire [2:0]  pipe_sim_only_rxstatus12,                //              .rxstatus12
		input  wire [2:0]  pipe_sim_only_rxstatus13,                //              .rxstatus13
		input  wire [2:0]  pipe_sim_only_rxstatus14,                //              .rxstatus14
		input  wire [2:0]  pipe_sim_only_rxstatus15,                //              .rxstatus15
		input  wire        pipe_sim_only_rxelecidle0,               //              .rxelecidle0
		input  wire        pipe_sim_only_rxelecidle1,               //              .rxelecidle1
		input  wire        pipe_sim_only_rxelecidle2,               //              .rxelecidle2
		input  wire        pipe_sim_only_rxelecidle3,               //              .rxelecidle3
		input  wire        pipe_sim_only_rxelecidle4,               //              .rxelecidle4
		input  wire        pipe_sim_only_rxelecidle5,               //              .rxelecidle5
		input  wire        pipe_sim_only_rxelecidle6,               //              .rxelecidle6
		input  wire        pipe_sim_only_rxelecidle7,               //              .rxelecidle7
		input  wire        pipe_sim_only_rxelecidle8,               //              .rxelecidle8
		input  wire        pipe_sim_only_rxelecidle9,               //              .rxelecidle9
		input  wire        pipe_sim_only_rxelecidle10,              //              .rxelecidle10
		input  wire        pipe_sim_only_rxelecidle11,              //              .rxelecidle11
		input  wire        pipe_sim_only_rxelecidle12,              //              .rxelecidle12
		input  wire        pipe_sim_only_rxelecidle13,              //              .rxelecidle13
		input  wire        pipe_sim_only_rxelecidle14,              //              .rxelecidle14
		input  wire        pipe_sim_only_rxelecidle15,              //              .rxelecidle15
		input  wire [1:0]  pipe_sim_only_rxsynchd0,                 //              .rxsynchd0
		input  wire [1:0]  pipe_sim_only_rxsynchd1,                 //              .rxsynchd1
		input  wire [1:0]  pipe_sim_only_rxsynchd2,                 //              .rxsynchd2
		input  wire [1:0]  pipe_sim_only_rxsynchd3,                 //              .rxsynchd3
		input  wire [1:0]  pipe_sim_only_rxsynchd4,                 //              .rxsynchd4
		input  wire [1:0]  pipe_sim_only_rxsynchd5,                 //              .rxsynchd5
		input  wire [1:0]  pipe_sim_only_rxsynchd6,                 //              .rxsynchd6
		input  wire [1:0]  pipe_sim_only_rxsynchd7,                 //              .rxsynchd7
		input  wire [1:0]  pipe_sim_only_rxsynchd8,                 //              .rxsynchd8
		input  wire [1:0]  pipe_sim_only_rxsynchd9,                 //              .rxsynchd9
		input  wire [1:0]  pipe_sim_only_rxsynchd10,                //              .rxsynchd10
		input  wire [1:0]  pipe_sim_only_rxsynchd11,                //              .rxsynchd11
		input  wire [1:0]  pipe_sim_only_rxsynchd12,                //              .rxsynchd12
		input  wire [1:0]  pipe_sim_only_rxsynchd13,                //              .rxsynchd13
		input  wire [1:0]  pipe_sim_only_rxsynchd14,                //              .rxsynchd14
		input  wire [1:0]  pipe_sim_only_rxsynchd15,                //              .rxsynchd15
		input  wire        pipe_sim_only_rxblkst0,                  //              .rxblkst0
		input  wire        pipe_sim_only_rxblkst1,                  //              .rxblkst1
		input  wire        pipe_sim_only_rxblkst2,                  //              .rxblkst2
		input  wire        pipe_sim_only_rxblkst3,                  //              .rxblkst3
		input  wire        pipe_sim_only_rxblkst4,                  //              .rxblkst4
		input  wire        pipe_sim_only_rxblkst5,                  //              .rxblkst5
		input  wire        pipe_sim_only_rxblkst6,                  //              .rxblkst6
		input  wire        pipe_sim_only_rxblkst7,                  //              .rxblkst7
		input  wire        pipe_sim_only_rxblkst8,                  //              .rxblkst8
		input  wire        pipe_sim_only_rxblkst9,                  //              .rxblkst9
		input  wire        pipe_sim_only_rxblkst10,                 //              .rxblkst10
		input  wire        pipe_sim_only_rxblkst11,                 //              .rxblkst11
		input  wire        pipe_sim_only_rxblkst12,                 //              .rxblkst12
		input  wire        pipe_sim_only_rxblkst13,                 //              .rxblkst13
		input  wire        pipe_sim_only_rxblkst14,                 //              .rxblkst14
		input  wire        pipe_sim_only_rxblkst15,                 //              .rxblkst15
		input  wire        pipe_sim_only_rxdataskip0,               //              .rxdataskip0
		input  wire        pipe_sim_only_rxdataskip1,               //              .rxdataskip1
		input  wire        pipe_sim_only_rxdataskip2,               //              .rxdataskip2
		input  wire        pipe_sim_only_rxdataskip3,               //              .rxdataskip3
		input  wire        pipe_sim_only_rxdataskip4,               //              .rxdataskip4
		input  wire        pipe_sim_only_rxdataskip5,               //              .rxdataskip5
		input  wire        pipe_sim_only_rxdataskip6,               //              .rxdataskip6
		input  wire        pipe_sim_only_rxdataskip7,               //              .rxdataskip7
		input  wire        pipe_sim_only_rxdataskip8,               //              .rxdataskip8
		input  wire        pipe_sim_only_rxdataskip9,               //              .rxdataskip9
		input  wire        pipe_sim_only_rxdataskip10,              //              .rxdataskip10
		input  wire        pipe_sim_only_rxdataskip11,              //              .rxdataskip11
		input  wire        pipe_sim_only_rxdataskip12,              //              .rxdataskip12
		input  wire        pipe_sim_only_rxdataskip13,              //              .rxdataskip13
		input  wire        pipe_sim_only_rxdataskip14,              //              .rxdataskip14
		input  wire        pipe_sim_only_rxdataskip15,              //              .rxdataskip15
		input  wire [5:0]  pipe_sim_only_dirfeedback0,              //              .dirfeedback0
		input  wire [5:0]  pipe_sim_only_dirfeedback1,              //              .dirfeedback1
		input  wire [5:0]  pipe_sim_only_dirfeedback2,              //              .dirfeedback2
		input  wire [5:0]  pipe_sim_only_dirfeedback3,              //              .dirfeedback3
		input  wire [5:0]  pipe_sim_only_dirfeedback4,              //              .dirfeedback4
		input  wire [5:0]  pipe_sim_only_dirfeedback5,              //              .dirfeedback5
		input  wire [5:0]  pipe_sim_only_dirfeedback6,              //              .dirfeedback6
		input  wire [5:0]  pipe_sim_only_dirfeedback7,              //              .dirfeedback7
		input  wire [5:0]  pipe_sim_only_dirfeedback8,              //              .dirfeedback8
		input  wire [5:0]  pipe_sim_only_dirfeedback9,              //              .dirfeedback9
		input  wire [5:0]  pipe_sim_only_dirfeedback10,             //              .dirfeedback10
		input  wire [5:0]  pipe_sim_only_dirfeedback11,             //              .dirfeedback11
		input  wire [5:0]  pipe_sim_only_dirfeedback12,             //              .dirfeedback12
		input  wire [5:0]  pipe_sim_only_dirfeedback13,             //              .dirfeedback13
		input  wire [5:0]  pipe_sim_only_dirfeedback14,             //              .dirfeedback14
		input  wire [5:0]  pipe_sim_only_dirfeedback15,             //              .dirfeedback15
		input  wire        pipe_sim_only_sim_pipe_mask_tx_pll_lock, //              .sim_pipe_mask_tx_pll_lock
		input  wire        xcvr_rx_in0,                             //          xcvr.rx_in0
		input  wire        xcvr_rx_in1,                             //              .rx_in1
		input  wire        xcvr_rx_in2,                             //              .rx_in2
		input  wire        xcvr_rx_in3,                             //              .rx_in3
		input  wire        xcvr_rx_in4,                             //              .rx_in4
		input  wire        xcvr_rx_in5,                             //              .rx_in5
		input  wire        xcvr_rx_in6,                             //              .rx_in6
		input  wire        xcvr_rx_in7,                             //              .rx_in7
		input  wire        xcvr_rx_in8,                             //              .rx_in8
		input  wire        xcvr_rx_in9,                             //              .rx_in9
		input  wire        xcvr_rx_in10,                            //              .rx_in10
		input  wire        xcvr_rx_in11,                            //              .rx_in11
		input  wire        xcvr_rx_in12,                            //              .rx_in12
		input  wire        xcvr_rx_in13,                            //              .rx_in13
		input  wire        xcvr_rx_in14,                            //              .rx_in14
		input  wire        xcvr_rx_in15,                            //              .rx_in15
		output wire        xcvr_tx_out0,                            //              .tx_out0
		output wire        xcvr_tx_out1,                            //              .tx_out1
		output wire        xcvr_tx_out2,                            //              .tx_out2
		output wire        xcvr_tx_out3,                            //              .tx_out3
		output wire        xcvr_tx_out4,                            //              .tx_out4
		output wire        xcvr_tx_out5,                            //              .tx_out5
		output wire        xcvr_tx_out6,                            //              .tx_out6
		output wire        xcvr_tx_out7,                            //              .tx_out7
		output wire        xcvr_tx_out8,                            //              .tx_out8
		output wire        xcvr_tx_out9,                            //              .tx_out9
		output wire        xcvr_tx_out10,                           //              .tx_out10
		output wire        xcvr_tx_out11,                           //              .tx_out11
		output wire        xcvr_tx_out12,                           //              .tx_out12
		output wire        xcvr_tx_out13,                           //              .tx_out13
		output wire        xcvr_tx_out14,                           //              .tx_out14
		output wire        xcvr_tx_out15                            //              .tx_out15
	);
endmodule

